2019-08-21 22:19 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004694Spring engineGfx driver issuespublic2016-01-22 03:21
Reporterlhog 
Assigned Toabma 
PrioritynormalSeveritycrashReproducibilityunable to reproduce
StatusresolvedResolutionunable to reproduce 
Product Version98.0.1+git 
Target VersionFixed in Version 
Summary0004694: ATI stack gets consistently crashed when something gets into camera viewport (UnitDrawerState.cpp:105)
DescriptionGame consistently crahes ingame (see replay http://zero-k.info/Battles/Detail/336996) after player ivand lost his comm and camera is moved somewhere to center of the map (I'll try to narrow it down myself).
Steps To ReproduceNot clear. Happened first time. Ptreviously had similar crashes if Zero-K solar was reclaimed (on 98.0.1+). No longer the case, but cases might be related.
Additional InformationLatest ATI drivers, W7x64.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (60,083 bytes) 2015-03-08 15:22 -
    [ParseCmdLine] command-line args: "E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe --config "E:\Games\Spring\springsettings.cfg" "E:/Games/Spring/script.txt""
    Using configuration source: "E:\Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    AtiHacks = 1
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    FontFile = FreeSansBold.otf
    GrassDetail = 4
    GroundDecals = 3
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Zion_v1
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Null AI
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ReflectiveWater = 0
    ScreenshotCounter = 8
    ScrollWheelSpeed = -25
    ShowClock = 0
    ShowPlayerInfo = 0
    SmallFontFile = FreeSansBold.otf
    SmoothLines = 1
    SpringData = E:\Games\Spring\
    TreeRadius = 1000
    UnitIconDist = 140
    UnitLodDist = 9999
    UseEFX = 0
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    WindowedEdgeMove = 0
    WorkerThreadSpinTime = 0
    XResolution = 1920
    YResolution = 1080
    snd_volmaster = 19
    snd_volmusic = 34
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 98.0.1-398-g80e6cfa develop
    Build Date & Time: Feb 23 2015 18:21:04
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz; 16375MB RAM, 24565MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x648, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1360x1024, 1366x768, 1400x1050, 1440x900, 1600x900, 1600x1200, 1680x1050, 1776x1000, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.4.13283 Compatibility Profile Context 14.501.1003.0
    GL vendor:    ATI Technologies Inc.
    GL renderer:  AMD Radeon HD 5800 Series
    GLSL version: 4.40
    GLEW version: 1.5.8
    Video RAM:    unknown
    SwapInterval: 0
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 91 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [WatchDog::Install] disabled
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    [DataDirs] Isolation Mode!
    Using read-write data directory: E:\Games\Spring\
    Using read-only data directory: C:\Users\AK\Documents\My Games\Spring\
    Using read-only data directory: E:\Games\Spring\engine\98.0.1-398-g80e6cfa\
    Using read-only data directory: E:\Games\Spring\engine\
    Scanning: E:\Games\Spring\engine\98.0.1-398-g80e6cfa\base
    Scanning: E:\Games\Spring\maps
    Scanning: E:\Games\Spring\games
    Scanning: E:\Games\Spring\packages
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]               SPDIF Interface (TX1) (VIA High Definition Audio)
    [f=0000000] [Sound]               HD Audio HDMI out (VIA High Definition Audio)
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: no
    [f=0000000] [Sound]   Max Sounds: 32
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] [Startup] Loading StartScript from: E:/Games/Spring/script.txt
    [f=0000000] Connecting to: 94.23.171.71:8756
    [f=0000000] Connecting to 94.23.171.71:8756 using name ivand
    [f=0000000] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Nuclear_Winter_v1
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Zero-K v1.3.3.2 (archive: 048106ee667d402d8f34b5b03bd1c4a0.sdp)
    [f=0000000] Warning: Incompatible map-checksum: Checksum of Nuclear_Winter_v1 (checksum 0xd3bebe77) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] Warning: Incompatible game-checksum: Checksum of 048106ee667d402d8f34b5b03bd1c4a0.sdp (checksum 0xe18067b0) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] Recording demo to: E:\Games\Spring\demos\20150308_170307_Nuclear_Winter_v1_98.0.1-398-g80e6cfa develop.sdf
    [f=0000000] PreGame::GameDataReceived: 65 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 7 (team 4, allyteam 1)
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Found new widget "WM Stuff"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (97 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  3.342000
    [f=0000000] Game::LoadDefs (GameData): 3552 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=0000000] [Sound]  parsed 312 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 14 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 74 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "chicken" already belongs to ArmorDef category 1!
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] [Sound] Error: WAV file sounds/weapon/missile/missile_fire2.wav has data length 291939 greater than actual data length 101848
    [f=0000000] Loading Unit Definitions
    [f=0000000] Warning: factoryhover: Given yardmap requires 1 extra char(s)!
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] FBO::maxSamples: 8
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 5 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag explspike::ttl
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 111 ms
    [f=0000000] [Sound] Error: Unable to open audio file: MultiSelect
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=0000000] Game::LoadInterface (Console): 9 ms
    [f=0000000] [Sound] Error: Unable to open audio file: FailedCommand
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=0000000] Loading LuaRules
    [f=0000000] Setting morph for custom comms for player: 1
    [f=0000000] Setting morph for custom comms for player: 3
    [f=0000000] Setting morph for custom comms for player: 5
    [f=0000000] Setting morph for custom comms for player: 7
    [f=0000000] Setting morph for custom comms for player: 8
    [f=0000000] Setting morph for custom comms for player: 9
    [f=0000000] Setting morph for custom comms for player: 10
    [f=0000000] Setting morph for custom comms for player: 12
    [f=0000000] Setting morph for custom comms for player: 14
    [f=0000000] Setting morph for custom comms for player: 16
    [f=0000000] Setting morph for custom comms for player: 0
    [f=0000000] Setting morph for custom comms for player: 21
    [f=0000000] Setting morph for custom comms for player: 25
    [f=0000000] Setting morph for custom comms for player: 22
    [f=0000000] Setting morph for custom comms for player: 23
    [f=0000000] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=0000000] Initializing gadget
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Loading last game win data
    [f=0000000] Resetting win data
    [f=0000000] Last game player count: 17, This game player count: 17
    [f=0000000] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=0000000] Player and team counts match, continuing
    [f=0000000] Testing last game's team 1 mapped to this game's team 1
    [f=0000000] Testing last game's team 0 mapped to this game's team 0
    [f=0000000] All players and teams match from last game, using last game's scores as base
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager.lua  ([string "LuaUI\Widgets\EcoManager.lua"]:44: unexpected symbol near '=')
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: GridManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: JobsManager.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: MyUtils.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: TasksManager.lua  (no GetInfo() call)
    [f=0000000] Failed to load: helper2.lua  (Include() could not load 'LuaUI/Widgets/GridManager.lua')
    [f=0000000] [cawidgets.lua] Error: Failed to load: old_snippets.lua  (no GetInfo() call)
    [f=0000000] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=0000000] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=0000000] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=0000000] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=0000000] Hardware mouse-cursor is enabled!
    [f=0000000] Set "shadows" config-parameter to 2
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set maximum particles to: 20000
    [f=0000000] Set UnitLodDist to 9999
    [f=0000000] Set UnitIconDist to 140
    [f=0000000] model shaders is enabled!
    [f=0000000] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=0000000] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=0000000] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=0000000] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=0000000] Mexspot Fetcher fetching
    [f=0000000] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=0000000] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=0000000] Loaded widget:  Noises              <snd_noises.lua>
    [f=0000000] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=0000000] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=0000000] Loaded widget:  1v1 Attrition Scoreboard  <gui_attrition_counter.lua>
    [f=0000000] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=0000000] Loaded widget:  Export Heightmap    <ExportHeightMap.lua>
    [f=0000000] Loaded widget:  TeamCommEnds & Lavarise indicator  <gui_teamcommends.lua>
    [f=0000000] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=0000000] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=0000000] Loaded widget:  Win Counter         <win_counter.lua>
    [f=0000000] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [f=0000000] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=0000000] Loaded widget:  Chili CTF GUI       <gui_chili_ctf.lua>
    [f=0000000] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=0000000] Loaded widget:  Autoquit            <autoquit.lua>
    [f=0000000] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=0000000] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=0000000] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=0000000] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=0000000] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=0000000] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=0000000] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=0000000] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=0000000] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=0000000] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=0000000] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=0000000] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=0000000] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=0000000] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=0000000] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=0000000] Loaded widget:  Command Indicator (beta)  <gui_command_indicator.lua>
    [f=0000000] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=0000000] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=0000000] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=0000000] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=0000000] Loaded widget:  Chili Resource Bars Classic  <gui_chili_resource_bars.lua>
    [f=0000000] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=0000000] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=0000000] Loaded widget:  News Ticker         <gui_news_ticker.lua>
    [f=0000000] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=0000000] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=0000000] Loaded widget:  Hello World7        <hw6.lua>
    [f=0000000] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=0000000] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=0000000] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=0000000] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=0000000] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=0000000] Loaded widget:  Outlaw On           <OutlawOn.lua>
    [f=0000000] Loaded widget:  Terraform automation  <terraform_automation.lua>
    [f=0000000] Loaded widget:  Accidental commands blocker  <accidental_commands_blocker.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=0000000] Loaded widget:  Replace Air Bomber Move order  <air_replace_move.lua>
    [f=0000000] Loaded widget:  AI Assistant3.4     <helper3_4.lua>
    [f=0000000] Loaded widget:  Unit Marker Zero-K (ivand)  <unit_marker_ak.lua>
    [f=0000000] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=0000000] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=0000000] Loaded widget:  Hello World6        <hw7.lua>
    [f=0000000] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=0000000] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=0000000] <Replay control buttons> Live mode. Widget removed.
    [f=0000000] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=0000000] Loaded widget:  Announcer           <gui_announcer.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  MessageBoxes        <mission_messagebox.lua>
    [f=0000000] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=0000000] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=0000000] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=0000000] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=0000000] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=0000000] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=0000000] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=0000000] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=0000000] Loaded widget:  Ore mexes!          <gui_oremex.lua>
    [f=0000000] Marketplace and Bounty Icons: Widget removed.
    [f=0000000] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=0000000] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=0000000] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=0000000] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=0000000] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=0000000] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=0000000] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=0000000] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=0000000] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=0000000] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=0000000] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=0000000] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=0000000] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=0000000] Loaded widget:  Vertical Line on Radar Dots  <gui_vertlineaid.lua>
    [f=0000000] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=0000000] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=0000000] Chili: tried to add multiple times "scrollpanel1" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel2" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel3" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel4" to "Player List"!
    [f=0000000] Loaded widget:  Chili Deluxe Player List - Alpha 2.02  <gui_chili_deluxeplayerlist.lua>
    [f=0000000] Loaded widget:  Chili Window Packer  <gui_chili_windowpacker.lua>
    [f=0000000] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=0000000] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=0000000] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=0000000] Loaded widget:  Chili FactoryPanel  <gui_chili_facpanel.lua>
    [f=0000000] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=0000000] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=0000000] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [f=0000000] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=0000000] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=0000000] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=0000000] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=0000000] ivand ENABLE TTS
    [f=0000000] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=0000000] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=0000000] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=0000000] Writing last game win data
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=4140856916
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=4140856940
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (82ms, checksum 44588d07)
    [f=0000000] Mex Placement Initialised with 77 spots.
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] GameID: d051fc5466c929dbaa49a8d140c2d64e
    [f=0000000] Connection attempt from noobcluster
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000] Epicmenu: Switching to Total Annihilation camera mode
    [f=0000000]  -> Connection established (given id 25)
    [f=0000000] Connection attempt from Chesti
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 3)
    [f=0000000] Connection attempt from Firepluk
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 14)
    [f=0000000] Connection attempt from Meep
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 1)
    [f=0000000] Connection attempt from ivand
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 7)
    [f=0000000] Connection attempt from naroonha_iv
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 19)
    [f=0000000] Connection attempt from Svatopluk
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 11)
    [f=0000000] Connection attempt from sdkfyt32
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 17)
    [f=0000000] Connection attempt from Helwor
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Connection attempt from entropy3
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 6)
    [f=0000000] Connection attempt from Jummy
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 10)
    [f=0000000] Connection attempt from Klon
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 5)
    [f=0000000] Connection attempt from southern98
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 15)
    [f=0000000] Connection attempt from Lightman
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 16)
    [f=0000000] Connection attempt from [ISP]Rallehop
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 8)
    [f=0000000] Connection attempt from GorilloX
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 13)
    [f=0000000] Connection attempt from Forever
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 12)
    [f=0000000] Connection attempt from KaktuS
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 22)
    [f=0000000] Connection attempt from Dones97
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 20)
    [f=0000000] Connection attempt from Spezialone
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 18)
    [f=0000000] Connection attempt from modschi
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 9)
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] > <Anarchid>"that's what happens when you rush dante instead of krow"
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] > <Firepluk>ok
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] Connection attempt from mur1
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 24)
    [f=0000000] > <Anarchid>krow wouldn't get skuttled
    [f=0000000] Connection attempt from Marlencito
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 21)
    [f=0000000] > TLama has left the room
    [f=0000000] > <Anarchid>krow wouldn't get scorpioned!
    [f=0000000] <Chesti> Allies: I choose: Yes we scan!!
    [f=0000000] <Meep> Allies: I choose: EcoMeep!
    [f=0000000] Connection attempt from TLama
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 2)
    [f=0000000] <Jummy> Allies: I choose: lr1!
    [f=0000000] <Lightman> Allies: I choose: Titan!
    [f=0000000] > <Firepluk>this games do not worth to be played seriously
    [f=0000000] > <Anarchid>krow wouldn't get scorpioned while fighting a scorpion!
    [f=0000000] <[ISP]Rallehop> Allies: I choose: BITCH YOU NEED TO ECO !
    [f=0000000] > <Firepluk>nubs will resign anyway
    [f=0000000] [Game::ClientReadNet] added new player Rafal[ZK] with number 26 to team 0
    [f=0000000] Connection attempt from [ffc]killer
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 23)
    [f=0000000] <Chesti> Allies: it is
    [f=0000000] <Firepluk> Allies: I choose: U225 Singularity Rush!
    [f=0000000] > <Forever>who does it play seriously Firepluk ?
    [f=0000000] > <Rafal[ZK]>damn too late
    [f=0000000] > <Forever>its a game!
    [f=0000000] <Chesti> Allies: esign guy is in other team
    [f=0000000] Connection attempt from Rafal[ZK]
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 26)
    [f=0000000] <Chesti> Allies: so lets kill him
    [f=0000000] > <Anarchid>Forever: fighting klon+burp
    [f=0000000] <[ISP]Rallehop> Allies: who?
    [f=0000000] <[ISP]Rallehop> Allies: lel
    [f=0000000] <ivand> Allies: I choose: Hobo with a shotgun!
    [f=0000000] <[ffc]killer> Allies: I choose: NECRO!
    [f=0000000] > <Forever>ohh :)
    [f=0000000] > <Forever>it depends
    [f=0000000] > <Anarchid>somehow that combo seemed to stimulate Firepluk very much
    [f=0000000] > <TLama>By the war Anaar Hiid, is it normal that errorlog is few MB in 1 day?
    [f=0000000] > <Forever>some people have satisfaction in playing serious :D
    [f=0000000] > <Forever>i like sophisticated strategy :D
    [f=0000000] Spectator Rafal[ZK] left the game:  normal quit
    [f=0000000] > <Anarchid>TLama ZKL error log?
    [f=0000000] > <Anarchid>which error log?
    [f=0000000] > <TLama>yes
    [f=0000000] > <Anarchid>copypaste it somewhere, and see what's it's spamming 
    [f=0000000] > <Anarchid>open a github issue with that info
    [f=0000000] > <Anarchid>e.g. "not normal"
    [f=0000000] <Chesti> Allies: I choose: Battle Trainer!
    [f=0000000] [Game::ClientReadNet] added new player mm19 with number 27 to team 0
    [f=0000000] > Game will be force started in 43 seconds
    [f=0000000] Connection attempt from mm19
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 27)
    [f=0000000] > <TLama>It spams the same stuff.. 
    [f=0000007] Connection attempt from Anarchid
    [f=0000007]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000007]  -> Connection established (given id 4)
    [f=0000009] ivand DISABLE TTS
    [f=0000014] !transmitlobby @voice@buildUnit@add;coracv;Welder
    [f=0000014] !transmitlobby @voice@buildUnit@add;logkoda;Kodachi
    [f=0000014] !transmitlobby @voice@buildUnit@add;panther;Panther
    [f=0000014] !transmitlobby @voice@buildUnit@add;tawf114;Banisher
    [f=0000014] !transmitlobby @voice@buildUnit@add;correap;Reaper
    [f=0000014] !transmitlobby @voice@buildUnit@add;corgol;Goliath
    [f=0000014] !transmitlobby @voice@buildUnit@add;cormart;Pillager
    [f=0000014] !transmitlobby @voice@buildUnit@add;trem;Tremor
    [f=0000014] !transmitlobby @voice@buildUnit@add;corsent;Copperhead
    [f=0000014] !transmitlobby @voice@buildUnit@reload
    [f=0000025] [cawidgets.lua] Error: Error in MousePress(): [string "LuaUI\Widgets\hw7.lua"]:81: attempt to call field 'GetGroundSlope' (a nil value)
    [f=0000025] [cawidgets.lua] Error: Removed widget: Hello World6
    [f=0000559] <Firepluk> Allies: gonna rush solar empire with 2 coms
    [f=0000633] <Firepluk> Allies: resign?
    [f=0000792] Chesti added point: can I get one freaker?
    [f=0000896] <Firepluk> Allies: no
    [f=0000996] <[ISP]Rallehop> Allies: lel
    [f=0001040] <[ffc]killer> Allies: sins of solar empire
    [f=0001040] <Chesti> Allies: sex?
    [f=0001294] <[ISP]Rallehop> Allies: wubs
    [f=0001447] <Firepluk> Allies: ye wubs
    [f=0001603] <[ffc]killer> Allies: scrubs
    [f=0001700] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001712] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001724] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001737] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001749] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001761] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001773] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001785] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001797] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001810] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001822] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001834] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001846] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001859] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001871] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001883] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001895] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001908] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001932] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001944] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001956] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001968] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001981] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001993] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002005] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002017] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002030] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002042] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002054] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002066] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002078] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002103] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002115] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002127] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002140] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002152] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002164] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002176] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002189] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002201] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002213] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002237] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002249] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002261] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002274] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002286] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002298] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002310] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002323] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002335] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002337] <[ffc]killer> Allies: what arty unit has longest range anyway
    [f=0002347] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002359] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002371] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002394] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002396] <[ISP]Rallehop> Allies: where is enemy mid
    [f=0002406] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002418] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002431] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002443] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002455] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002478] ivand added point: Tick
    [f=0002726] [ISP]Rallehop added point: lolz
    [f=0003098] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003108] <[ISP]Rallehop> Allies: archer
    [f=0003110] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003122] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003134] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003146] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003159] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003171] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003183] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003609] > Rafal[ZK] has left the room
    [f=0003696] [Game::ClientReadNet] added new player _edrush with number 28 to team 0
    [f=0003766] > <Anarchid>yes: what stuff?
    [f=0003849] [ISP]Rallehop added point: dafuq my comm was stuck inside of the fac lol
    [f=0003869] Connection attempt from Rafal[ZK]
    [f=0003869]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0003869]  -> Connection established (given id 26)
    [f=0004053] <Firepluk> gtfo
    [f=0004147] <[ffc]killer> Allies: rippings
    [f=0005024] > <TLama>It is 4 lines of text, gonna paste it somewhere
    [f=0005214] <[ffc]killer> Allies: weawer op
    [f=0005381] > <Anarchid>make a github ticket, and paste there :P
    [f=0005407] Player  sent spoofed NETMSG_STARTPOS with teamID 0
    [f=0006645] Spectator Rafal[ZK] left the game:  normal quit
    [f=0007538] [ISP]Rallehop added point: stinger
    [f=0007555] Lightman added point: dangit
    [f=0009605] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009617] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009630] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009642] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009654] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009666] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009679] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009691] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009703] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009715] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009728] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009740] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009752] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009764] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009776] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009789] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009801] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009813] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009826] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009838] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009850] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009862] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009874] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009887] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009899] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009911] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009923] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009935] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009947] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009960] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009975] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0010104] [ffc]killer added point: oh gawd
    [f=0010157] Stardust is under attack
    [f=0010158] > Rafal[ZK] has left the room
    [f=0010338] Defender is under attack
    [f=0010488] Hobo with a shotgun level 1 is under attack
    [f=0010638] Hobo with a shotgun level 1 is under attack
    [f=0010652] Connection attempt from Rafal[ZK]
    [f=0010652]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0010652]  -> Connection established (given id 26)
    [f=0010826] Chesti added point: I could help bombing u get on hill then?
    [f=0011116] <[ISP]Rallehop> Allies: enemy are porcing in hard
    [f=0011362] <Firepluk> Allies: send me metals for nux
    [f=0011435] Lightman added point: hangon let me pressure with arty first, or you can kill com
    [f=0011449] Stinger is under attack
    [f=0011507] <[ISP]Rallehop> Allies: got no metalz
    [f=0011635] Lotus is under attack
    [f=0011761] <Firepluk> Allies: shiny and no more porc
    [f=0011808] Lotus is under attack
    [f=0011893] <[ffc]killer> Allies: nice suicide
    [f=0011937] <[ISP]Rallehop> Allies: i know
    [f=0011960] <Firepluk> Allies: only grilled lobsters
    [f=0011982] Lotus is under attack
    [f=0012038] <[ISP]Rallehop> Allies: and then massive hole on middle
    [f=0012057] <Chesti> Allies: eah
    [f=0012076] <[ISP]Rallehop> Allies: lel
    [f=0012134] Welder is under attack
    [f=0012180] <Chesti> Allies: they advanced :P
    [f=0012330] Metal Extractor is under attack
    [f=0012500] Solar Collector is under attack
    [f=0012674] Welder is under attack
    [f=0012845] Solar Collector is under attack
    [f=0013020] Solar Collector is under attack
    [f=0013045] <Firepluk> Allies: nux 75%
    [f=0013076] <Firepluk> Allies: :D
    [f=0013155] <[ISP]Rallehop> Allies: lelz
    [f=0013241] Defender is under attack
    [f=0013251] <[ISP]Rallehop> Allies: need it
    [f=0013289] <Firepluk> Allies: lobsters death imminient
    [f=0013321] <[ISP]Rallehop> Allies: stupid porcers
    [f=0013392] Hobo with a shotgun level 1 is under attack
    [f=0013571] Reaper is under attack
    [f=0013573] <[ISP]Rallehop> Allies: need scout middle plox
    [f=0013589] Spectator Rafal[ZK] left the game:  normal quit
    [f=0013650] game_message: Giving all units of [ffc]killer to Firepluk due to lag/AFK (ally #1)
    [f=0013758] <Firepluk> Allies: 85%
    [f=0013782] <Chesti> Allies: ok
    [f=0013826] Reaper is under attack
    [f=0013977] Reaper is under attack
    [f=0014114] Lightman added point: help
    [f=0014153] <[ISP]Rallehop> Allies: i want to know what those porcs are..
    [f=0014155] Reaper is under attack
    [f=0014320] Reaper is under attack
    [f=0014482] Reaper is under attack
    [f=0014509] <[ISP]Rallehop> Allies: ok
    [f=0014662] Reaper is under attack
    [f=0014813] Hobo with a shotgun level 1 is under attack
    [f=0014862] <Firepluk> Allies: nux up
    [f=0014981] Reaper is under attack
    [f=0015030] <[ISP]Rallehop> Allies: stinger down
    [f=0015090] <Lightman> Allies: bottom is dead
    [f=0015135] Reaper is under attack
    [f=0015211] ivand added point: HALP
    [f=0015270] <Firepluk> Allies: lel
    [f=0015285] Reaper is under attack
    [f=0015439] Reaper is under attack
    [f=0015854] ivand added point: Stiletto
    [f=0015938] > <TLama>Is it done by "Create new Issue"? Never used GitHub before
    [f=0016150] game_message: Player [ffc]killer is no longer lagging or AFK; returning all his or her units
    [f=0016193] Player ivand left the game:  normal quit
    [f=0016203] Solar Collector is under attack
    [f=0016204] > <Anarchid>that is correct
    [f=0016250] game_message: Giving all units of ivand to Firepluk due to lag/AFK (ally #1)
    [f=0016278] Spectator sdkfyt32 left the game:  normal quit
    [f=0016664] [ISP]Rallehop added point: sball
    [f=0016690] Connection attempt from ivand
    [f=0016690]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0016690]  -> Connection established (given id 7)
    [f=0016719] [ISP]Rallehop added point: halp
    [f=0016737] ivand added point: SharpShooter
    [f=0016826] Lightman added point: help
    [f=0016980] > <ivand>crashed
    [f=0017031] Firepluk added point: nuking in 50sec
    [f=0017100] game_message: Giving all units of [ffc]killer to Firepluk due to lag/AFK (ally #1)
    [f=0017151] <[ISP]Rallehop> Allies: south and south part of middle is fukt
    [f=0017447] <Chesti> Allies: why not mid?
    [f=0017582] <[ISP]Rallehop> Allies: i did
    [f=0017621] <[ISP]Rallehop> Allies: remove his porc
    [f=0017777] > <sdkfyt32>amd video all crashed (you seen units which was not compleated and changed owner)
    [f=0017889] Connection attempt from sdkfyt32
    [f=0017889]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0017889]  -> Connection established (given id 17)
    [f=0018211] Firepluk added point: wtf
    [f=0018771] Error: Spring 98.0.1-398-g80e6cfa develop has crashed.
    [f=0018771] Error: DLL information:
    [f=0018771] Error: 0x00400000	spring
    [f=0018771] Error: 0x772b0000	ntdll
    [f=0018771] Error: 0x76c10000	kernel32
    [f=0018771] Error: 0x76600000	KERNELBASE
    [f=0018771] Error: 0x75550000	ADVAPI32
    [f=0018771] Error: 0x75140000	msvcrt
    [f=0018771] Error: 0x75060000	sechost
    [f=0018771] Error: 0x76d80000	RPCRT4
    [f=0018771] Error: 0x74c50000	SspiCli
    [f=0018771] Error: 0x74c40000	CRYPTBASE
    [f=0018771] Error: 0x71c40000	GLU32
    [f=0018771] Error: 0x55460000	OPENGL32
    [f=0018771] Error: 0x74ce0000	GDI32
    [f=0018771] Error: 0x753d0000	USER32
    [f=0018771] Error: 0x755f0000	LPK
    [f=0018771] Error: 0x74fb0000	USP10
    [f=0018771] Error: 0x531c0000	DDRAW
    [f=0018771] Error: 0x73510000	DCIMAN32
    [f=0018771] Error: 0x751f0000	SETUPAPI
    [f=0018771] Error: 0x75080000	CFGMGR32
    [f=0018771] Error: 0x75660000	OLEAUT32
    [f=0018771] Error: 0x76a40000	ole32
    [f=0018771] Error: 0x753a0000	DEVOBJ
    [f=0018771] Error: 0x65970000	dwmapi
    [f=0018771] Error: 0x76d40000	IMAGEHLP
    [f=0018771] Error: 0x759b0000	SHELL32
    [f=0018771] Error: 0x74db0000	SHLWAPI
    [f=0018771] Error: 0x71690000	WINMM
    [f=0018771] Error: 0x76e70000	WS2_32
    [f=0018771] Error: 0x74d70000	NSI
    [f=0018771] Error: 0x10000000	DevIL
    [f=0018771] Error: 0x52270000	MSVCP80
    [f=0018771] Error: 0x521d0000	MSVCR80
    [f=0018771] Error: 0x6b600000	OpenAL32
    [f=0018771] Error: 0x6cec0000	libgcc_s_sjlj-1
    [f=0018771] Error: 0x70780000	vorbisfile
    [f=0018771] Error: 0x68140000	ogg
    [f=0018771] Error: 0x64cc0000	vorbis
    [f=0018771] Error: 0x62e80000	zlib1
    [f=0018771] Error: 0x70e40000	libfreetype-6
    [f=0018771] Error: 0x64f80000	libfontconfig-1
    [f=0018771] Error: 0x68f40000	libexpat-1
    [f=0018771] Error: 0x62aa0000	glew32
    [f=0018771] Error: 0x6c740000	SDL2
    [f=0018771] Error: 0x75600000	IMM32
    [f=0018771] Error: 0x756f0000	MSCTF
    [f=0018771] Error: 0x74750000	VERSION
    [f=0018771] Error: 0x67720000	uxtheme
    [f=0018771] Error: 0x734f0000	atiglpxx
    [f=0018771] Error: 0x03650000	atioglxx
    [f=0018771] Error: 0x530d0000	atiadlxy
    [f=0018771] Error: 0x74520000	PROPSYS
    [f=0018771] Error: 0x74d90000	USERENV
    [f=0018771] Error: 0x759a0000	profapi
    [f=0018771] Error: 0x74890000	WTSAPI32
    [f=0018771] Error: 0x753c0000	PSAPI
    [f=0018771] Error: 0x74770000	IPHLPAPI
    [f=0018771] Error: 0x74760000	WINNSI
    [f=0018771] Error: 0x74cb0000	WINTRUST
    [f=0018771] Error: 0x76920000	CRYPT32
    [f=0018771] Error: 0x76d70000	MSASN1
    [f=0018771] Error: 0x66c80000	atigktxx
    [f=0018771] Error: 0x76890000	CLBCatQ
    [f=0018771] Error: 0x72110000	shfolder
    [f=0018771] Error: 0x67220000	MMDevApi
    [f=0018771] Error: 0x66b00000	dsound
    [f=0018771] Error: 0x616b0000	POWRPROF
    [f=0018771] Error: 0x671c0000	AUDIOSES
    [f=0018771] Error: 0x71bc0000	dinput8
    [f=0018771] Error: 0x73450000	HID
    [f=0018771] Error: 0x08c90000	XInput1_3
    [f=0018771] Error: 0x71e30000	mswsock
    [f=0018771] Error: 0x71c70000	wship6
    [f=0018771] Error: 0x71db0000	wshtcpip
    [f=0018771] Error: 0x74910000	dbghelp
    [f=0018771] Error: Exception: Access violation (0xc0000005)
    [f=0018771] Error: Exception Address: 0x041ae3ef
    [f=0018771] Error: Stacktrace for Spring 98.0.1-398-g80e6cfa develop:
    [f=0018771] Error: This stack trace indicates a problem with your graphic card driver. Please try upgrading or downgrading it. Specifically recommended is the latest driver, and one that is as old as your graphic card. Make sure to use a driver removal utility, before installing other drivers.
    [f=0018771] Error: (0) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0xaa23df) [0x041AE3EF]
    [f=0018771] Error: (1) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0xa6efd1) [0x0417AFE1]
    [f=0018771] Error: (2) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0x4fee96) [0x03C0AEA6]
    [f=0018771] Error: (3) E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe [0x006CDF8F]
    [f=0018771] Error: (4) E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe [0x006D2C5E]
    [f=0018771] Error: [ErrorMessageBox][1] msg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      E:\Games\Spring\infolog.txt" IsMainThread()=1 fromMain=0
    [f=0018771] Error: [ErrorMessageBox][2]
    [f=0018771] [SpringApp::ShutDown][1]
    [f=0018771] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0018771] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0018771] [SpringApp::ShutDown][2]
    [f=0018771] [~CGame]1]
    [f=0018771] [KillLua][1]
    [f=0018771] [KillLua][2]
    [f=0018771] Start gadgetHandler:Shutdown
    [f=0018771] Shutdown - ShareControl
    [f=0018771] Shutdown - UnitMorph
    [f=0018771] Shutdown - LupsNanoSpray
    [f=0018771] Shutdown - Puppy Handler
    [f=0018771] Shutdown - Terrain Texture Handler
    [f=0018771] Shutdown - UnitCloakShield
    [f=0018771] End gadgetHandler:Shutdown
    [f=0018771] Start gadgetHandler:Shutdown
    [f=0018771] Shutdown - UnitMorph
    [f=0018771] Shutdown - UnitCloakShield
    [f=0018771] Shutdown - Lups Cloak FX
    [f=0018771] Shutdown - Lups
    [f=0018771] End gadgetHandler:Shutdown
    [f=0018771] [KillLua][3]
    [f=0018771] [KillLua][4]
    [f=0018771] [KillMisc][1]
    [f=0018771] [KillMisc][2]
    [f=0018771] [KillRendering][1]
    [f=0018771] [KillInterface][1]
    [f=0018771] Start widgetHandler:Shutdown
    [f=0018771] Shutdown - SaveOrderList Complete
    [f=0018771] Writing last game win data
    [f=0018771] Shutdown - SaveConfigData Complete
    [f=0018771] Shutdown Widget - EPIC Menu
    [f=0018771] Shutdown Widget - Chili Widget Selector
    [f=0018771] Shutdown Widget - Chili Minimap
    [f=0018771] Shutdown Widget - Local Team Colors
    [f=0018771] Shutdown Widget - Noises
    [f=0018771] Shutdown Widget - HealthBars
    [f=0018771] Shutdown Widget - Unit Icons
    [f=0018771] Shutdown Widget - Win Counter
    [f=0018771] Shutdown Widget - Darkening
    [f=0018771] Shutdown Widget - Highlight Geos
    [f=0018771] Shutdown Widget - Mex Placement Handler
    [f=0018771] Shutdown Widget - MinimapEvents
    [f=0018771] Shutdown Widget - CameraShake
    [f=0018771] Shutdown Widget - Command Indicator (beta)
    [f=0018771] Shutdown Widget - Local Widgets Config
    [f=0018771] Shutdown Widget - Chili EndGame Window
    [f=0018771] Shutdown Widget - Chili Resource Bars Classic
    [f=0018771] Shutdown Widget - Chili Selections & CursorTip
    [f=0018771] Shutdown Widget - Context Menu
    [f=0018771] Shutdown Widget - Startup Info and Selector
    [f=0018771] Shutdown Widget - Transport AI
    [f=0018771] Shutdown Widget - Accidental commands blocker
    [f=0018771] Shutdown Widget - Announcer
    [f=0018771] Shutdown Widget - Attack AoE
    [f=0018771] Shutdown Widget - MessageBoxes
    [f=0018771] Shutdown Widget - UnitShapes
    [f=0018771] Shutdown Widget - Selection Send
    [f=0018771] Shutdown Widget - Units on Fire
    [f=0018771] Shutdown Widget - LupsManager
    [f=0018771] Shutdown Widget - Receive Units Indicator
    [f=0018771] Shutdown Widget - Newton Firezone
    [f=0018771] Shutdown Widget - Chili Deluxe Player List - Alpha 2.02
    [f=0018771] Shutdown Widget - Chili Pro Console
    [f=0018771] Shutdown Widget - Chili Framework
    [f=0018771] Shutdown Widget - Lups
    [f=0018771] Shutdown Widget - Chili Core Selector
    [f=0018771] Shutdown Widget - Pause Screen
    [f=0018771] Shutdown Widget - Text To Speech Control
    [f=0018771] ivand DISABLE TTS
    [f=0018771] Shutdown Widget - Lasso Terraform GUI
    [f=0018771] Shutdown Widget - Chili Integral Menu
    [f=0018771] End widgetHandler:Shutdown
    [f=0018771] [KillInterface][2]
    [f=0018771] [KillSimulation][1]
    [f=0018771] [KillSimulation][2]
    [f=0018771] [CCollisionHandler] dis-/continuous tests: 264/349435
    [f=0018771] [KillSimulation][3]
    [f=0018771] [KillSimulation][4]
    [f=0018771] [~CPathCache(40x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=8
    [f=0018771] [~CPathCache(40x24)] cacheHits=1128 hitPercentage=40% numHashColls=0 maxCacheSize=76
    [f=0018771] [~CPathCache(160x96)] cacheHits=29 hitPercentage=13% numHashColls=0 maxCacheSize=70
    [f=0018771] [~CPathCache(160x96)] cacheHits=738 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0018771] Statistics for RectangleOptimizer: 7%
    [f=0018771] Statistics for RectangleOptimizer: 7%
    [f=0018771] [KillSimulation][5]
    [f=0018771] [~CGame][2]
    [f=0018771] [~CGame][3]
    [f=0018771] [SpringApp::ShutDown][3]
    [f=0018771] Statistics for UDP connection:
    Received: 2154715 bytes in 4508 packets (477.976 bytes/package)
    Sent: 220681 bytes in 1596 packets (138.271 bytes/package)
    Relative protocol overhead: 0 up, 0.0125529 down
    118 incoming chunks dropped, 4 outgoing chunks resent
    
    [f=0018771] Writing demo: E:\Games\Spring\demos\20150308_170307_Nuclear_Winter_v1_98.0.1-398-g80e6cfa develop.sdf
    [f=0018771] [SpringApp::ShutDown][4]
    [f=0018771] [SpringApp::ShutDown][5]
    [f=0018771] [SpringApp::ShutDown][6]
    [f=0018771] Error: [ExitMessage] failed to shutdown normally, exit forced
    [f=0018771] Fatal: Spring: Unhandled exception
    Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      E:\Games\Spring\infolog.txt
    
    txt file icon infolog.txt (60,083 bytes) 2015-03-08 15:22 +
  • png file icon stack_trace.png (27,701 bytes) 2015-03-08 17:54 -
    png file icon stack_trace.png (27,701 bytes) 2015-03-08 17:54 +
  • txt file icon infolog_glDebug.txt (74,598 bytes) 2015-03-08 20:18 -
    [ParseCmdLine] command-line args: "E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe "E:\Games\Spring\demos\20150308_144240_Nuclear_Winter_v1_98.0.1-398-g80e6cfa%20develop.sdf" --config "E:\Games\Spring\springsettings.cfg""
    Using configuration source: "E:\Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DebugGL = 1
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    GroundDecals = 3
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Tropical
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Commanders
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ReflectiveWater = 4
    ScreenshotCounter = 5
    ScrollWheelSpeed = -25
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 1
    SpringData = E:\Games\Spring\
    TreeRadius = 1000
    UnitIconDist = 140
    UnitLodDist = 9999
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    WindowedEdgeMove = 0
    WorkerThreadSpinTime = 0
    XResolution = 1920
    YResolution = 1080
    snd_volmaster = 34
    snd_volmusic = 34
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 98.0.1-398-g80e6cfa develop
    Build Date & Time: Feb 23 2015 18:21:04
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz; 16375MB RAM, 24565MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x648, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1360x1024, 1366x768, 1400x1050, 1440x900, 1600x900, 1600x1200, 1680x1050, 1776x1000, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.4.13283 Compatibility Profile/Debug Context 14.501.1003.0
    GL vendor:    ATI Technologies Inc.
    GL renderer:  AMD Radeon HD 5800 Series
    GLSL version: 4.40
    GLEW version: 1.5.8
    Video RAM:    unknown
    SwapInterval: 0
    Installing OpenGL-DebugMessageHandler
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 91 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [WatchDog::Install] disabled
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    [DataDirs] Isolation Mode!
    Using read-write data directory: E:\Games\Spring\
    Using read-only data directory: C:\Users\AK\Documents\My Games\Spring\
    Using read-only data directory: E:\Games\Spring\engine\98.0.1-398-g80e6cfa\
    Using read-only data directory: E:\Games\Spring\engine\
    Scanning: E:\Games\Spring\engine\98.0.1-398-g80e6cfa\base
    Scanning: E:\Games\Spring\maps
    Scanning: E:\Games\Spring\games
    Scanning: E:\Games\Spring\packages
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]               SPDIF Interface (TX1) (VIA High Definition Audio)
    [f=0000000] [Sound]               HD Audio HDMI out (VIA High Definition Audio)
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 32
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] Hosting on: localhost:8452
    [f=0000000] Connecting to local server
    [f=0000000] [ReadDataFromDemo] pre-scanning demo file for game data...
    [f=0000000] [StartServerForDemo] starting GameServer
    [f=0000000] [StartServerForDemo] started GameServer
    [f=0000000] PreGame::ReadDataFromDemo: 33 ms
    [f=0000000] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Nuclear_Winter_v1
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Zero-K v1.3.3.2 (archive: 048106ee667d402d8f34b5b03bd1c4a0.sdp)
    [f=0000000] Warning: Incompatible map-checksum: Checksum of Nuclear_Winter_v1 (checksum 0xd3bebe77) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] Warning: Incompatible game-checksum: Checksum of 048106ee667d402d8f34b5b03bd1c4a0.sdp (checksum 0xe18067b0) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] PreGame::GameDataReceived: 36 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 26 (team 0, allyteam 0)
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Found new widget "WM Stuff"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (97 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  3.525000
    [f=0000000] Game::LoadDefs (GameData): 3736 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=0000000] [Sound]  parsed 312 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 14 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 75 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "chicken" already belongs to ArmorDef category 1!
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] [Sound] Error: WAV file sounds/weapon/missile/missile_fire2.wav has data length 291939 greater than actual data length 101848
    [f=0000000] Loading Unit Definitions
    [f=0000000] Warning: factoryhover: Given yardmap requires 1 extra char(s)!
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] FBO::maxSamples: 8
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 5 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag explspike::ttl
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 114 ms
    [f=0000000] [Sound] Error: Unable to open audio file: MultiSelect
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=0000000] Game::LoadInterface (Console): 9 ms
    [f=0000000] [Sound] Error: Unable to open audio file: FailedCommand
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=0000000] Loading LuaRules
    [f=0000000] Setting morph for custom comms for player: 1
    [f=0000000] Setting morph for custom comms for player: 3
    [f=0000000] Setting morph for custom comms for player: 5
    [f=0000000] Setting morph for custom comms for player: 7
    [f=0000000] Setting morph for custom comms for player: 8
    [f=0000000] Setting morph for custom comms for player: 9
    [f=0000000] Setting morph for custom comms for player: 10
    [f=0000000] Setting morph for custom comms for player: 12
    [f=0000000] Setting morph for custom comms for player: 14
    [f=0000000] Setting morph for custom comms for player: 16
    [f=0000000] Setting morph for custom comms for player: 0
    [f=0000000] Setting morph for custom comms for player: 21
    [f=0000000] Setting morph for custom comms for player: 25
    [f=0000000] Setting morph for custom comms for player: 22
    [f=0000000] Setting morph for custom comms for player: 23
    [f=0000000] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=0000000] Initializing gadget
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Loading last game win data
    [f=0000000] Resetting win data
    [f=0000000] Last game player count: 17, This game player count: 17
    [f=0000000] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=0000000] Player and team counts match, continuing
    [f=0000000] Testing last game's team 1 mapped to this game's team 1
    [f=0000000] Testing last game's team 0 mapped to this game's team 0
    [f=0000000] All players and teams match from last game, using last game's scores as base
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager.lua  ([string "LuaUI\Widgets\EcoManager.lua"]:44: unexpected symbol near '=')
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: GridManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: JobsManager.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: MyUtils.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: TasksManager.lua  (no GetInfo() call)
    [f=0000000] Failed to load: helper2.lua  (Include() could not load 'LuaUI/Widgets/GridManager.lua')
    [f=0000000] [cawidgets.lua] Error: Failed to load: old_snippets.lua  (no GetInfo() call)
    [f=0000000] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=0000000] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=0000000] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=0000000] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=0000000] Hardware mouse-cursor is enabled!
    [f=0000000] Set "shadows" config-parameter to 2
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set maximum particles to: 20000
    [f=0000000] Set UnitLodDist to 9999
    [f=0000000] Set UnitIconDist to 140
    [f=0000000] model shaders is enabled!
    [f=0000000] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=0000000] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=0000000] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=0000000] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=0000000] Mexspot Fetcher fetching
    [f=0000000] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=0000000] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=0000000] Loaded widget:  Noises              <snd_noises.lua>
    [f=0000000] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=0000000] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=0000000] Loaded widget:  1v1 Attrition Scoreboard  <gui_attrition_counter.lua>
    [f=0000000] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=0000000] Loaded widget:  Export Heightmap    <ExportHeightMap.lua>
    [f=0000000] Loaded widget:  TeamCommEnds & Lavarise indicator  <gui_teamcommends.lua>
    [f=0000000] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=0000000] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=0000000] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [f=0000000] Loaded widget:  Win Counter         <win_counter.lua>
    [f=0000000] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=0000000] Loaded widget:  Chili CTF GUI       <gui_chili_ctf.lua>
    [f=0000000] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=0000000] Loaded widget:  Autoquit            <autoquit.lua>
    [f=0000000] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=0000000] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=0000000] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=0000000] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=0000000] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=0000000] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=0000000] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=0000000] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=0000000] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=0000000] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=0000000] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=0000000] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=0000000] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=0000000] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=0000000] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=0000000] Loaded widget:  Command Indicator (beta)  <gui_command_indicator.lua>
    [f=0000000] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=0000000] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=0000000] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=0000000] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=0000000] Loaded widget:  Chili Resource Bars Classic  <gui_chili_resource_bars.lua>
    [f=0000000] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=0000000] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=0000000] Loaded widget:  News Ticker         <gui_news_ticker.lua>
    [f=0000000] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=0000000] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=0000000] Spectator mode detected. Removed: Auto First Build Facing
    [f=0000000] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=0000000] Loaded widget:  Hello World7        <hw6.lua>
    [f=0000000] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=0000000] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=0000000] <Startup Info and Selector> Spectator mode, Junior forced, or replay. Widget removed.
    [f=0000000] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=0000000] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=0000000] Loaded widget:  Hello World6        <hw7.lua>
    [f=0000000] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=0000000] <Stockpiler>: disabled for spectators
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=0000000] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=0000000] <Outlaw On> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Outlaw On           <OutlawOn.lua>
    [f=0000000] <Terraform automation> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Terraform automation  <terraform_automation.lua>
    [f=0000000] <Accidental commands blocker> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Accidental commands blocker  <accidental_commands_blocker.lua>
    [f=0000000] <Replace Air Bomber Move order> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Replace Air Bomber Move order  <air_replace_move.lua>
    [f=0000000] <AI Assistant3.4> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  AI Assistant3.4     <helper3_4.lua>
    [f=0000000] <Unit Marker Zero-K (ivand)> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Unit Marker Zero-K (ivand)  <unit_marker_ak.lua>
    [f=0000000] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=0000000] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=0000000] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=0000000] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=0000000] Loaded widget:  Announcer           <gui_announcer.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  MessageBoxes        <mission_messagebox.lua>
    [f=0000000] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=0000000] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=0000000] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=0000000] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=0000000] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=0000000] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=0000000] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=0000000] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=0000000] Loaded widget:  Ore mexes!          <gui_oremex.lua>
    [f=0000000] Marketplace and Bounty Icons: Widget removed.
    [f=0000000] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=0000000] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=0000000] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=0000000] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=0000000] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=0000000] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=0000000] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=0000000] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=0000000] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=0000000] <Building Starter>: disabled for spectators
    [f=0000000] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=0000000] <Cloaker Guard>: disabled for spectators
    [f=0000000] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=0000000] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=0000000] Newton Firezone disabled for spectator.
    [f=0000000] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=0000000] Loaded widget:  Vertical Line on Radar Dots  <gui_vertlineaid.lua>
    [f=0000000] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=0000000] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=0000000] Chili: tried to add multiple times "scrollpanel1" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel2" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel3" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel4" to "Player List"!
    [f=0000000] Loaded widget:  Chili Deluxe Player List - Alpha 2.02  <gui_chili_deluxeplayerlist.lua>
    [f=0000000] Loaded widget:  Chili Window Packer  <gui_chili_windowpacker.lua>
    [f=0000000] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=0000000] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=0000000] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=0000000] Loaded widget:  Chili FactoryPanel  <gui_chili_facpanel.lua>
    [f=0000000] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=0000000] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=0000000] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [f=0000000] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=0000000] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=0000000] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=0000000] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=0000000] UnnamedPlayer (spec) DISABLE TTS
    [f=0000000] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=0000000] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=0000000] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=0000000] Writing last game win data
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=4140856916
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=4140856940
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (82ms, checksum 44588d07)
    [f=0000000] Mex Placement Initialised with 77 spots.
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] Opening demofile E:\Games\Spring\demos\20150308_144240_Nuclear_Winter_v1_98.0.1-398-g80e6cfa%20develop.sdf
    [f=0000000] Connection attempt from UnnamedPlayer (spec)
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 26)
    [f=0000000] Spectator UnnamedPlayer (spec) finished loading and is now ingame
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: CInfoTextureCombiner-shader validation error: Validation failed! - Different sampler types for same sample texture unit in fragment shader.
    
    [f=0000000] Epicmenu: Switching to Total Annihilation camera mode
    [f=0000000] <Ghost Site> Spectator mode. Widget removed.
    [f=0000000] Beginning demo playback
    [f=0000000] GameID: d051fc5466c929dbaa49a8d140c2d64e
    [f=0000000] Connection attempt from noobcluster
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 25)
    [f=0000000] Connection attempt from Chesti
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 3)
    [f=0000000] Connection attempt from Firepluk
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 14)
    [f=0000000] Connection attempt from Meep
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 1)
    [f=0000000] Connection attempt from ivand
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 7)
    [f=0000000] Connection attempt from naroonha_iv
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 19)
    [f=0000000] Connection attempt from Svatopluk
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 11)
    [f=0000000] Connection attempt from sdkfyt32
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 17)
    [f=0000000] Connection attempt from Helwor
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Connection attempt from entropy3
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 6)
    [f=0000000] Connection attempt from Jummy
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 10)
    [f=0000000] Connection attempt from Klon
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 5)
    [f=0000000] Connection attempt from southern98
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 15)
    [f=0000000] Connection attempt from Lightman
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 16)
    [f=0000000] Connection attempt from [ISP]Rallehop
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 8)
    [f=0000000] Connection attempt from GorilloX
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 13)
    [f=0000000] Connection attempt from Forever
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 12)
    [f=0000000] Connection attempt from KaktuS
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 22)
    [f=0000000] Connection attempt from Dones97
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 20)
    [f=0000000] Connection attempt from Spezialone
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 18)
    [f=0000000] Connection attempt from modschi
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 9)
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] > <Anarchid>"that's what happens when you rush dante instead of krow"
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] > <Firepluk>ok
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] [cawidgets.lua] Error: Error in MousePress(): [string "LuaUI\Widgets\hw7.lua"]:81: attempt to call field 'GetGroundSlope' (a nil value)
    [f=0000000] [cawidgets.lua] Error: Removed widget: Hello World6
    [f=0000000] Speed set to 10.0 [server]
    [f=0000000] Connection attempt from mur1
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 24)
    [f=0000000] > <Anarchid>krow wouldn't get skuttled
    [f=0000000] Connection attempt from Marlencito
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000] Skipping pregame chatter
    [f=0000000]  -> Connection established (given id 21)
    [f=0000000] > TLama has left the room
    [f=0000000] > <Anarchid>krow wouldn't get scorpioned!
    [f=0000000] <Chesti> Allies: I choose: Yes we scan!!
    [f=0000000] <Meep> Allies: I choose: EcoMeep!
    [f=0000000] Connection attempt from TLama
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 2)
    [f=0000000] <Jummy> Allies: I choose: lr1!
    [f=0000000] <Lightman> Allies: I choose: Titan!
    [f=0000000] > <Firepluk>this games do not worth to be played seriously
    [f=0000000] <Helwor> Allies: I choose: Army Raiser!
    [f=0000000] <Klon> Allies: I choose: Bob the Shop!
    [f=0000000] > <Anarchid>krow wouldn't get scorpioned while fighting a scorpion!
    [f=0000000] <[ISP]Rallehop> Allies: I choose: BITCH YOU NEED TO ECO !
    [f=0000000] > <Firepluk>nubs will resign anyway
    [f=0000000] [Game::ClientReadNet] added new player Rafal[ZK] with number 27 to team 0
    [f=0000000] Connection attempt from [ffc]killer
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 23)
    [f=0000000] <Spezialone> Allies: I choose: Support Trainer!
    [f=0000000] <Chesti> Allies: it is
    [f=0000000] <Firepluk> Allies: I choose: U225 Singularity Rush!
    [f=0000000] > <Forever>who does it play seriously Firepluk ?
    [f=0000000] > <Rafal[ZK]>damn too late
    [f=0000000] > <Forever>its a game!
    [f=0000000] <Chesti> Allies: esign guy is in other team
    [f=0000000] <Forever> Allies: I choose: Standard!
    [f=0000000] Connection attempt from Rafal[ZK]
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 26)
    [f=0000000] <Chesti> Allies: so lets kill him
    [f=0000000] > <Anarchid>Forever: fighting klon+burp
    [f=0000000] Helwor added point: planes
    [f=0000000] <[ISP]Rallehop> Allies: who?
    [f=0000000] <[ISP]Rallehop> Allies: lel
    [f=0000000] <ivand> Allies: I choose: Hobo with a shotgun!
    [f=0000000] <[ffc]killer> Allies: I choose: NECRO!
    [f=0000000] > <Forever>ohh :)
    [f=0000000] > <Forever>it depends
    [f=0000000] > <Anarchid>somehow that combo seemed to stimulate Firepluk very much
    [f=0000000] <KaktuS> Allies: I choose: Hodor Hodor Hodor!
    [f=0000000] > <TLama>By the war Anaar Hiid, is it normal that errorlog is few MB in 1 day?
    [f=0000000] > <Forever>some people have satisfaction in playing serious :D
    [f=0000000] <modschi> Allies: I choose: Commander 1!
    [f=0000000] <Dones97> Allies: I choose: Strike Trainer!
    [f=0000000] <Marlencito> Allies: I choose: Support Trainer!
    [f=0000000] > <Forever>i like sophisticated strategy :D
    [f=0000000] Spectator Rafal[ZK] left the game:  normal quit
    [f=0000000] > <Anarchid>TLama ZKL error log?
    [f=0000000] <noobcluster> Allies: I choose: Flimmerkiste!
    [f=0000000] Forever added point: Firepluk 2 coms
    [f=0000000] > <Anarchid>which error log?
    [f=0000000] > <TLama>yes
    [f=0000000] Spezialone added point: air
    [f=0000000] Spezialone added point: aair
    [f=0000000] Forever added point: ned kill him fast
    [f=0000000] Spezialone added point: aair
    [f=0000000] Spezialone added point: aair
    [f=0000000] Forever added point: FINALLY decent air
    [f=0000000] > <Anarchid>copypaste it somewhere, and see what's it's spamming 
    [f=0000000] <Spezialone> Allies: we have 4 air player -.-
    [f=0000000] Forever added point: pls dont
    [f=0000000] > <Anarchid>open a github issue with that info
    [f=0000000] Forever added point: pls no
    [f=0000000] > <Anarchid>e.g. "not normal"
    [f=0000000] <Chesti> Allies: I choose: Battle Trainer!
    [f=0000000] Forever added point: and no :(
    [f=0000000] [Game::ClientReadNet] added new player mm19 with number 28 to team 0
    [f=0000000] > Game will be force started in 43 seconds
    [f=0000000] <Helwor> Allies: :p
    [f=0000000] Forever added point: ground pls
    [f=0000000] Forever added point: shields
    [f=0000000] Klon added point: spam rapiers
    [f=0000000] Connection attempt from mm19
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 27)
    [f=0000000] Forever added point: shields
    [f=0000000] <Spezialone> Allies: we just need one airplayer pls
    [f=0000000] > <TLama>It spams the same stuff.. 
    [f=0000000] Klon added point: they are good vs air and ground
    [f=0000000] Forever added point: cloakies scythe rush
    [f=0000000] <noobcluster> Allies: I choose: Nebelmaschine!
    [f=0000007] Connection attempt from Anarchid
    [f=0000007]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000007]  -> Connection established (given id 4)
    [f=0000031] !transmitlobby @voice@buildUnit@add;armca;Crane
    [f=0000031] !transmitlobby @voice@buildUnit@add;fighter;Swift
    [f=0000031] !transmitlobby @voice@buildUnit@add;corvamp;Hawk
    [f=0000031] !transmitlobby @voice@buildUnit@add;corshad;Raven
    [f=0000031] !transmitlobby @voice@buildUnit@add;corhurc2;Phoenix
    [f=0000031] !transmitlobby @voice@buildUnit@add;armstiletto_laser;Thunderbird
    [f=0000031] !transmitlobby @voice@buildUnit@add;armcybr;Wyvern
    [f=0000031] !transmitlobby @voice@buildUnit@add;corawac;Vulture
    [f=0000031] !transmitlobby @voice@buildUnit@reload
    [f=0000559] <Firepluk> Allies: gonna rush solar empire with 2 coms
    [f=0000633] <Firepluk> Allies: resign?
    [f=0000792] Chesti added point: can I get one freaker?
    [f=0000896] <Firepluk> Allies: no
    [f=0000996] <[ISP]Rallehop> Allies: lel
    [f=0001040] <[ffc]killer> Allies: sins of solar empire
    [f=0001040] <Chesti> Allies: sex?
    [f=0001294] <[ISP]Rallehop> Allies: wubs
    [f=0001382] Helwor added point: jumper lab (Jummy)
    [f=0001440] Helwor added point: pyro
    [f=0001447] <Firepluk> Allies: ye wubs
    [f=0001532] Helwor added point: lveh lab (Meep)
    [f=0001603] <[ffc]killer> Allies: scrubs
    [f=0001621] Helwor added point: jumper lab (Firepluk)
    [f=0001700] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001712] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001724] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001737] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001748] Forever added point: hes here
    [f=0001749] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001761] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001773] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001785] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001797] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001810] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001822] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001834] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001846] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001859] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001871] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001883] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001895] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001908] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001917] Helwor added point: cloaky lab (Lightman)
    [f=0001932] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001944] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001956] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001968] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001981] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001993] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002005] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002017] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002030] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002042] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002054] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002066] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002078] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002103] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002115] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002127] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002134] Helwor added point: plane lab (Chesti)
    [f=0002140] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002152] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002164] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002176] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002189] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002201] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002213] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002237] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002249] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002261] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002274] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002286] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002298] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002310] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002323] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002335] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002337] <[ffc]killer> Allies: what arty unit has longest range anyway
    [f=0002347] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002359] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002371] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002394] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002396] <[ISP]Rallehop> Allies: where is enemy mid
    [f=0002406] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002418] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002431] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002443] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002455] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002726] [ISP]Rallehop added point: lolz
    [f=0003098] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003108] <[ISP]Rallehop> Allies: archer
    [f=0003110] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003122] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003134] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003146] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003159] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003171] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003183] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003379] Helwor added point: plane lab (Firepluk)
    [f=0003609] > Rafal[ZK] has left the room
    [f=0003696] [Game::ClientReadNet] added new player _edrush with number 29 to team 0
    [f=0003766] > <Anarchid>yes: what stuff?
    [f=0003849] [ISP]Rallehop added point: dafuq my comm was stuck inside of the fac lol
    [f=0003869] Connection attempt from Rafal[ZK]
    [f=0003869]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0003869]  -> Connection established (given id 26)
    [f=0003925] Forever added point: close
    [f=0004053] <Firepluk> gtfo
    [f=0004147] <[ffc]killer> Allies: rippings
    [f=0005024] > <TLama>It is 4 lines of text, gonna paste it somewhere
    [f=0005197] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0005197] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0005214] <[ffc]killer> Allies: weawer op
    [f=0005381] > <Anarchid>make a github ticket, and paste there :P
    [f=0005407] Player  sent spoofed NETMSG_STARTPOS with teamID 0
    [f=0005474] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0005474] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006056] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006056] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006056] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006056] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006645] Spectator Rafal[ZK] left the game:  normal quit
    [f=0007538] [ISP]Rallehop added point: stinger
    [f=0007555] Lightman added point: dangit
    [f=0009171] Anarchid added point: range with terraform
    [f=0009393] Anarchid added point: stinger range without TF
    [f=0009605] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009617] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009630] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009642] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009654] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009666] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009679] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009691] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009703] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009715] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009728] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009740] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009752] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009764] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009776] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009789] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009801] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009813] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009826] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009838] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009850] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009862] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009874] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009887] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009899] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009911] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009923] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009923] Forever added point: wtf
    [f=0009935] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009947] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009959] Anarchid added point: 
    [f=0009960] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009975] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0010104] [ffc]killer added point: oh gawd
    [f=0010158] > Rafal[ZK] has left the room
    [f=0010233] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0010233] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0010233] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0010233] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0010320] Anarchid added point: this is why you don't build stingers on hills
    [f=0010332] Forever added point: aa here
    [f=0010652] Connection attempt from Rafal[ZK]
    [f=0010652]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0010652]  -> Connection established (given id 26)
    [f=0010826] Chesti added point: I could help bombing u get on hill then?
    [f=0011116] <[ISP]Rallehop> Allies: enemy are porcing in hard
    [f=0011160] Spezialone added point: ssuper com
    [f=0011362] <Firepluk> Allies: send me metals for nux
    [f=0011435] Lightman added point: hangon let me pressure with arty first, or you can kill com
    [f=0011507] <[ISP]Rallehop> Allies: got no metalz
    [f=0011672] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0011672] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0011672] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0011672] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0011683] Spezialone added point: bbomb plsd
    [f=0011725] Anarchid added point: wow those fires 
    [f=0011761] <Firepluk> Allies: shiny and no more porc
    [f=0011893] <[ffc]killer> Allies: nice suicide
    [f=0011937] <[ISP]Rallehop> Allies: i know
    [f=0011960] <Firepluk> Allies: only grilled lobsters
    [f=0012038] <[ISP]Rallehop> Allies: and then massive hole on middle
    [f=0012057] <Chesti> Allies: eah
    [f=0012076] <[ISP]Rallehop> Allies: lel
    [f=0012180] <Chesti> Allies: they advanced :P
    [f=0012965] [Anarchid (replay)] Allies: where did chesti put all the bombers
    [f=0013045] <Firepluk> Allies: nux 75%
    [f=0013059] Forever added point: deads
    [f=0013076] <Firepluk> Allies: :D
    [f=0013132] <Helwor> Allies: no bomber atm
    [f=0013155] <[ISP]Rallehop> Allies: lelz
    [f=0013251] <[ISP]Rallehop> Allies: need it
    [f=0013289] <Firepluk> Allies: lobsters death imminient
    [f=0013321] <[ISP]Rallehop> Allies: stupid porcers
    [f=0013392] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013392] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013392] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013392] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013392] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013392] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013514] <Spezialone> Allies: okay than we have a prob
    [f=0013573] <[ISP]Rallehop> Allies: need scout middle plox
    [f=0013589] Spectator Rafal[ZK] left the game:  normal quit
    [f=0013650] game_message: Giving all units of [ffc]killer to Firepluk due to lag/AFK (ally #1)
    [f=0013719] <Helwor> Allies: making stiletto
    [f=0013758] <Firepluk> Allies: 85%
    [f=0013782] <Chesti> Allies: ok
    [f=0014114] Lightman added point: help
    [f=0014153] <[ISP]Rallehop> Allies: i want to know what those porcs are..
    [f=0014440] noobcluster added point: reclaima
    [f=0014509] <[ISP]Rallehop> Allies: ok
    [f=0014600] Anarchid added point: gg and no shiny saves you 
    [f=0014838] <Spezialone> Allies: okay this side is lost
    [f=0014862] <Firepluk> Allies: nux up
    [f=0014985] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0014985] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0014985] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0014985] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015030] <[ISP]Rallehop> Allies: stinger down
    [f=0015090] <Lightman> Allies: bottom is dead
    [f=0015153] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015153] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015153] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015153] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015153] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015153] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015153] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015153] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015211] ivand added point: HALP
    [f=0015270] <Firepluk> Allies: lel
    [f=0015346] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015346] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015346] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015346] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015346] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015346] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015346] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015346] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015668] Playback paused
    [f=0015696] UnnamedPlayer (spec) paused the demo
    [f=0015696] Playback continued
    [f=0015696] UnnamedPlayer (spec) unpaused the demo
    [f=0015834] Speed set to 2.0 [server]
    [f=0015864] Speed set to 3.0 [server]
    [f=0015905] [Anarchid (replay)] Allies: sfire should make krow now
    [f=0015938] > <TLama>Is it done by "Create new Issue"? Never used GitHub before
    [f=0016037] <Helwor> Allies: ops
    [f=0016051] Playback paused
    [f=0016081] UnnamedPlayer (spec) paused the demo
    [f=0016081] Playback continued
    [f=0016081] UnnamedPlayer (spec) unpaused the demo
    [f=0016150] game_message: Player [ffc]killer is no longer lagging or AFK; returning all his or her units
    [f=0016193] Player ivand left the game:  normal quit
    [f=0016204] > <Anarchid>that is correct
    [f=0016250] game_message: Giving all units of ivand to Firepluk due to lag/AFK (ally #1)
    [f=0016278] Spectator sdkfyt32 left the game:  normal quit
    [f=0016324] Playback paused
    [f=0016353] UnnamedPlayer (spec) paused the demo
    [f=0016353] Speed set to 0.5 [server]
    [f=0016353] UnnamedPlayer (spec) unpaused the demo
    [f=0016368] UnnamedPlayer (spec) paused the demo
    [f=0016368] Error: OpenGL: source<API> type<error> id<2269> severity<high>:
    glUniformMatrix4fv has failed to set the uniform at location '18': the uniform's type, component size, or matrix dimensions are incompatible with the function variant (GL_INVALID_OPERATION)
    [f=0016368] Error: OpenGL: source<API> type<error> id<2269> severity<high>:
    glUniform3f has failed to set the uniform at location '19': the uniform's type, component size, or matrix dimensions are incompatible with the function variant (GL_INVALID_OPERATION)
    [f=0016368] Error: OpenGL: source<API> type<error> id<2269> severity<high>:
    glUniformMatrix4fv has failed to set the uniform at location '25': the uniform's type, component size, or matrix dimensions are incompatible with the function variant (GL_INVALID_OPERATION)
    [f=0016368] Error: Spring 98.0.1-398-g80e6cfa develop has crashed.
    [f=0016368] Error: DLL information:
    [f=0016368] Error: 0x00400000	spring
    [f=0016368] Error: 0x772b0000	ntdll
    [f=0016368] Error: 0x76c10000	kernel32
    [f=0016368] Error: 0x76600000	KERNELBASE
    [f=0016368] Error: 0x75550000	ADVAPI32
    [f=0016368] Error: 0x75140000	msvcrt
    [f=0016368] Error: 0x75060000	sechost
    [f=0016368] Error: 0x76d80000	RPCRT4
    [f=0016368] Error: 0x74c50000	SspiCli
    [f=0016368] Error: 0x74c40000	CRYPTBASE
    [f=0016368] Error: 0x087f0000	GLU32
    [f=0016368] Error: 0x19cb0000	OPENGL32
    [f=0016368] Error: 0x74ce0000	GDI32
    [f=0016368] Error: 0x753d0000	USER32
    [f=0016368] Error: 0x755f0000	LPK
    [f=0016368] Error: 0x74fb0000	USP10
    [f=0016368] Error: 0x70280000	DDRAW
    [f=0016368] Error: 0x5e5b0000	DCIMAN32
    [f=0016368] Error: 0x751f0000	SETUPAPI
    [f=0016368] Error: 0x75080000	CFGMGR32
    [f=0016368] Error: 0x75660000	OLEAUT32
    [f=0016368] Error: 0x76a40000	ole32
    [f=0016368] Error: 0x753a0000	DEVOBJ
    [f=0016368] Error: 0x65970000	dwmapi
    [f=0016368] Error: 0x76d40000	IMAGEHLP
    [f=0016368] Error: 0x759b0000	SHELL32
    [f=0016368] Error: 0x74db0000	SHLWAPI
    [f=0016368] Error: 0x71690000	WINMM
    [f=0016368] Error: 0x76e70000	WS2_32
    [f=0016368] Error: 0x74d70000	NSI
    [f=0016368] Error: 0x10000000	DevIL
    [f=0016368] Error: 0x52270000	MSVCP80
    [f=0016368] Error: 0x521d0000	MSVCR80
    [f=0016368] Error: 0x6b600000	OpenAL32
    [f=0016368] Error: 0x6cec0000	libgcc_s_sjlj-1
    [f=0016368] Error: 0x70780000	vorbisfile
    [f=0016368] Error: 0x68140000	ogg
    [f=0016368] Error: 0x64cc0000	vorbis
    [f=0016368] Error: 0x62e80000	zlib1
    [f=0016368] Error: 0x70e40000	libfreetype-6
    [f=0016368] Error: 0x64f80000	libfontconfig-1
    [f=0016368] Error: 0x68f40000	libexpat-1
    [f=0016368] Error: 0x62aa0000	glew32
    [f=0016368] Error: 0x6c740000	SDL2
    [f=0016368] Error: 0x75600000	IMM32
    [f=0016368] Error: 0x756f0000	MSCTF
    [f=0016368] Error: 0x74750000	VERSION
    [f=0016368] Error: 0x67720000	uxtheme
    [f=0016368] Error: 0x5ba90000	atiglpxx
    [f=0016368] Error: 0x037b0000	atioglxx
    [f=0016368] Error: 0x0f520000	atiadlxy
    [f=0016368] Error: 0x74520000	PROPSYS
    [f=0016368] Error: 0x74d90000	USERENV
    [f=0016368] Error: 0x759a0000	profapi
    [f=0016368] Error: 0x74890000	WTSAPI32
    [f=0016368] Error: 0x753c0000	PSAPI
    [f=0016368] Error: 0x74770000	IPHLPAPI
    [f=0016368] Error: 0x74760000	WINNSI
    [f=0016368] Error: 0x74cb0000	WINTRUST
    [f=0016368] Error: 0x76920000	CRYPT32
    [f=0016368] Error: 0x76d70000	MSASN1
    [f=0016368] Error: 0x0f3e0000	atigktxx
    [f=0016368] Error: 0x76890000	CLBCatQ
    [f=0016368] Error: 0x72110000	shfolder
    [f=0016368] Error: 0x67220000	MMDevApi
    [f=0016368] Error: 0x66b00000	dsound
    [f=0016368] Error: 0x616b0000	POWRPROF
    [f=0016368] Error: 0x671c0000	AUDIOSES
    [f=0016368] Error: 0x734f0000	dinput8
    [f=0016368] Error: 0x73d80000	HID
    [f=0016368] Error: 0x03290000	XInput1_3
    [f=0016368] Error: 0x74910000	dbghelp
    [f=0016368] Error: Exception: Access violation (0xc0000005)
    [f=0016368] Error: Exception Address: 0x0430e3ef
    [f=0016368] Error: Stacktrace for Spring 98.0.1-398-g80e6cfa develop:
    [f=0016368] Error: This stack trace indicates a problem with your graphic card driver. Please try upgrading or downgrading it. Specifically recommended is the latest driver, and one that is as old as your graphic card. Make sure to use a driver removal utility, before installing other drivers.
    [f=0016368] Error: (0) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0xaa23df) [0x0430E3EF]
    [f=0016368] Error: (1) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0xa6efd1) [0x042DAFE1]
    [f=0016368] Error: (2) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0x423ad2) [0x03C8FAE2]
    [f=0016368] Error: (3) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0x7a3003) [0x0400F013]
    [f=0016368] Error: (4) E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe [0x006CDF8F]
    [f=0016368] Error: (5) E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe [0x006D2C5E]
    [f=0016368] Error: [ErrorMessageBox][1] msg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      E:\Games\Spring\infolog.txt" IsMainThread()=1 fromMain=0
    [f=0016368] Error: [ErrorMessageBox][2]
    [f=0016368] [SpringApp::ShutDown][1]
    [f=0016368] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0016368] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0016368] [SpringApp::ShutDown][2]
    [f=0016368] [~CGame]1]
    [f=0016368] [KillLua][1]
    [f=0016368] [KillLua][2]
    [f=0016368] Start gadgetHandler:Shutdown
    [f=0016368] Shutdown - ShareControl
    [f=0016368] Shutdown - UnitMorph
    [f=0016368] Shutdown - LupsNanoSpray
    [f=0016368] Shutdown - Puppy Handler
    [f=0016368] Shutdown - Terrain Texture Handler
    [f=0016368] Shutdown - UnitCloakShield
    [f=0016368] End gadgetHandler:Shutdown
    [f=0016368] Start gadgetHandler:Shutdown
    [f=0016368] Shutdown - UnitMorph
    [f=0016368] Shutdown - UnitCloakShield
    [f=0016368] Shutdown - Lups Cloak FX
    [f=0016368] Shutdown - Lups
    [f=0016368] End gadgetHandler:Shutdown
    [f=0016368] [KillLua][3]
    [f=0016368] [KillLua][4]
    [f=0016368] [KillMisc][1]
    [f=0016368] [KillMisc][2]
    [f=0016368] [KillRendering][1]
    [f=0016368] Statistics for RectangleOptimizer: 6%
    [f=0016368] [KillInterface][1]
    [f=0016368] Start widgetHandler:Shutdown
    [f=0016368] Shutdown - SaveOrderList Complete
    [f=0016368] Writing last game win data
    [f=0016368] Shutdown - SaveConfigData Complete
    [f=0016368] Shutdown Widget - EPIC Menu
    [f=0016368] Shutdown Widget - Chili Widget Selector
    [f=0016368] Shutdown Widget - Chili Minimap
    [f=0016368] Shutdown Widget - Local Team Colors
    [f=0016368] Shutdown Widget - Noises
    [f=0016368] Shutdown Widget - HealthBars
    [f=0016368] Shutdown Widget - Unit Icons
    [f=0016368] Shutdown Widget - Win Counter
    [f=0016368] Shutdown Widget - Darkening
    [f=0016368] Shutdown Widget - Highlight Geos
    [f=0016368] Shutdown Widget - Mex Placement Handler
    [f=0016368] Shutdown Widget - MinimapEvents
    [f=0016368] Shutdown Widget - CameraShake
    [f=0016368] Shutdown Widget - Command Indicator (beta)
    [f=0016368] Shutdown Widget - Local Widgets Config
    [f=0016368] Shutdown Widget - Chili EndGame Window
    [f=0016368] Shutdown Widget - Chili Resource Bars Classic
    [f=0016368] Shutdown Widget - Chili Selections & CursorTip
    [f=0016368] Shutdown Widget - Context Menu
    [f=0016368] Shutdown Widget - Announcer
    [f=0016368] Shutdown Widget - Attack AoE
    [f=0016368] Shutdown Widget - MessageBoxes
    [f=0016368] Shutdown Widget - UnitShapes
    [f=0016368] Shutdown Widget - Selection Send
    [f=0016368] Shutdown Widget - Units on Fire
    [f=0016368] Shutdown Widget - LupsManager
    [f=0016368] Shutdown Widget - Chili Deluxe Player List - Alpha 2.02
    [f=0016368] Shutdown Widget - Chili Pro Console
    [f=0016368] Shutdown Widget - Chili Framework
    [f=0016368] Shutdown Widget - Lups
    [f=0016368] Shutdown Widget - Chili Core Selector
    [f=0016368] Shutdown Widget - Pause Screen
    [f=0016368] Shutdown Widget - Text To Speech Control
    [f=0016368] UnnamedPlayer (spec) DISABLE TTS
    [f=0016368] Shutdown Widget - Lasso Terraform GUI
    [f=0016368] Shutdown Widget - Chili Integral Menu
    [f=0016368] End widgetHandler:Shutdown
    [f=0016368] [KillInterface][2]
    [f=0016368] [KillSimulation][1]
    [f=0016368] [KillSimulation][2]
    [f=0016368] [CCollisionHandler] dis-/continuous tests: 264/923175
    [f=0016368] [KillSimulation][3]
    [f=0016368] [KillSimulation][4]
    [f=0016368] [~CPathCache(40x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0016368] [~CPathCache(40x24)] cacheHits=986 hitPercentage=40% numHashColls=0 maxCacheSize=76
    [f=0016368] [~CPathCache(160x96)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0016368] [~CPathCache(160x96)] cacheHits=671 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0016368] Statistics for RectangleOptimizer: 6%
    [f=0016368] Statistics for RectangleOptimizer: 6%
    [f=0016368] [KillSimulation][5]
    [f=0016368] [~CGame][2]
    [f=0016368] [~CGame][3]
    [f=0016368] [SpringApp::ShutDown][3]
    [f=0016368] Statistics for local connection:
    Received: 987009 bytes
    Sent: 170627 bytes
    
    [f=0016368] [SpringApp::ShutDown][4]
    [f=0016368] [SpringApp::ShutDown][5]
    [f=0016368] [SpringApp::ShutDown][6]
    [f=0016368] Error: [ExitMessage] failed to shutdown normally, exit forced
    [f=0016368] Fatal: Spring: Unhandled exception
    Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      E:\Games\Spring\infolog.txt
    
    txt file icon infolog_glDebug.txt (74,598 bytes) 2015-03-08 20:18 +
  • txt file icon infolog_DGLST.txt (74,381 bytes) 2015-03-08 22:31 -
    [ParseCmdLine] command-line args: "E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe "E:\Games\Spring\demos\20150308_144240_Nuclear_Winter_v1_98.0.1-398-g80e6cfa%20develop.sdf" --config "E:\Games\Spring\springsettings.cfg""
    Using configuration source: "E:\Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DebugGL = 1
    DebugGLStacktraces = true
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    GroundDecals = 3
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Tropical
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Commanders
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ReflectiveWater = 4
    ScreenshotCounter = 5
    ScrollWheelSpeed = -25
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 1
    SpringData = E:\Games\Spring\
    TreeRadius = 1000
    UnitIconDist = 140
    UnitLodDist = 9999
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    WindowedEdgeMove = 0
    WorkerThreadSpinTime = 0
    XResolution = 1920
    YResolution = 1080
    snd_volmaster = 34
    snd_volmusic = 34
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 98.0.1-398-g80e6cfa HEAD
    Build Date & Time: Mar  8 2015 23:05:28
    Build Environment: boost-105500, GNU libstdc++ version 20141030
    Compiler Version:  gcc-4.9.2
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz; 16375MB RAM, 24565MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x648, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1360x1024, 1366x768, 1400x1050, 1440x900, 1600x900, 1600x1200, 1680x1050, 1776x1000, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.4.13283 Compatibility Profile/Debug Context 14.501.1003.0
    GL vendor:    ATI Technologies Inc.
    GL renderer:  AMD Radeon HD 5800 Series
    GLSL version: 4.40
    GLEW version: 1.5.8
    Video RAM:    unknown
    SwapInterval: 0
    Installing OpenGL-DebugMessageHandler
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 91 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [WatchDog::Install] disabled
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    [DataDirs] Isolation Mode!
    Using read-write data directory: E:\Games\Spring\
    Using read-only data directory: C:\Users\AK\Documents\My Games\Spring\
    Using read-only data directory: E:\Games\Spring\engine\98.0.1-398-g80e6cfa\
    Using read-only data directory: E:\Games\Spring\engine\
    Scanning: E:\Games\Spring\engine\98.0.1-398-g80e6cfa\base
    Scanning: E:\Games\Spring\maps
    Scanning: E:\Games\Spring\games
    Scanning: E:\Games\Spring\packages
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]               SPDIF Interface (TX1) (VIA High Definition Audio)
    [f=0000000] [Sound]               HD Audio HDMI out (VIA High Definition Audio)
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 32
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] Hosting on: localhost:8452
    [f=0000000] Connecting to local server
    [f=0000000] [ReadDataFromDemo] pre-scanning demo file for game data...
    [f=0000000] [StartServerForDemo] starting GameServer
    [f=0000000] [StartServerForDemo] started GameServer
    [f=0000000] PreGame::ReadDataFromDemo: 44 ms
    [f=0000000] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Nuclear_Winter_v1
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Zero-K v1.3.3.2 (archive: 048106ee667d402d8f34b5b03bd1c4a0.sdp)
    [f=0000000] Warning: Incompatible map-checksum: Checksum of Nuclear_Winter_v1 (checksum 0xd3bebe77) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] Warning: Incompatible game-checksum: Checksum of 048106ee667d402d8f34b5b03bd1c4a0.sdp (checksum 0xe18067b0) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] PreGame::GameDataReceived: 37 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 26 (team 0, allyteam 0)
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Found new widget "WM Stuff"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (97 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  3.334000
    [f=0000000] Game::LoadDefs (GameData): 3550 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=0000000] [Sound]  parsed 312 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 15 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 85 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "chicken" already belongs to ArmorDef category 1!
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] [Sound] Error: WAV file sounds/weapon/missile/missile_fire2.wav has data length 291939 greater than actual data length 101848
    [f=0000000] Loading Unit Definitions
    [f=0000000] Warning: factoryhover: Given yardmap requires 1 extra char(s)!
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] FBO::maxSamples: 8
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 6 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag explspike::ttl
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 112 ms
    [f=0000000] [Sound] Error: Unable to open audio file: MultiSelect
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=0000000] Game::LoadInterface (Console): 9 ms
    [f=0000000] [Sound] Error: Unable to open audio file: FailedCommand
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=0000000] Loading LuaRules
    [f=0000000] Setting morph for custom comms for player: 1
    [f=0000000] Setting morph for custom comms for player: 3
    [f=0000000] Setting morph for custom comms for player: 5
    [f=0000000] Setting morph for custom comms for player: 7
    [f=0000000] Setting morph for custom comms for player: 8
    [f=0000000] Setting morph for custom comms for player: 9
    [f=0000000] Setting morph for custom comms for player: 10
    [f=0000000] Setting morph for custom comms for player: 12
    [f=0000000] Setting morph for custom comms for player: 14
    [f=0000000] Setting morph for custom comms for player: 16
    [f=0000000] Setting morph for custom comms for player: 0
    [f=0000000] Setting morph for custom comms for player: 21
    [f=0000000] Setting morph for custom comms for player: 25
    [f=0000000] Setting morph for custom comms for player: 22
    [f=0000000] Setting morph for custom comms for player: 23
    [f=0000000] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=0000000] Initializing gadget
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Loading last game win data
    [f=0000000] Resetting win data
    [f=0000000] Last game player count: 17, This game player count: 17
    [f=0000000] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=0000000] Player and team counts match, continuing
    [f=0000000] Testing last game's team 1 mapped to this game's team 1
    [f=0000000] Testing last game's team 0 mapped to this game's team 0
    [f=0000000] All players and teams match from last game, using last game's scores as base
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager.lua  ([string "LuaUI\Widgets\EcoManager.lua"]:44: unexpected symbol near '=')
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: GridManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: JobsManager.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: MyUtils.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: TasksManager.lua  (no GetInfo() call)
    [f=0000000] Failed to load: helper2.lua  (Include() could not load 'LuaUI/Widgets/GridManager.lua')
    [f=0000000] [cawidgets.lua] Error: Failed to load: old_snippets.lua  (no GetInfo() call)
    [f=0000000] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=0000000] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=0000000] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=0000000] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=0000000] Hardware mouse-cursor is enabled!
    [f=0000000] Set "shadows" config-parameter to 2
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set maximum particles to: 20000
    [f=0000000] Set UnitLodDist to 9999
    [f=0000000] Set UnitIconDist to 140
    [f=0000000] model shaders is enabled!
    [f=0000000] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=0000000] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=0000000] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=0000000] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=0000000] Mexspot Fetcher fetching
    [f=0000000] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=0000000] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=0000000] Loaded widget:  Noises              <snd_noises.lua>
    [f=0000000] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=0000000] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=0000000] Loaded widget:  1v1 Attrition Scoreboard  <gui_attrition_counter.lua>
    [f=0000000] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=0000000] Loaded widget:  Export Heightmap    <ExportHeightMap.lua>
    [f=0000000] Loaded widget:  TeamCommEnds & Lavarise indicator  <gui_teamcommends.lua>
    [f=0000000] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=0000000] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=0000000] Loaded widget:  Win Counter         <win_counter.lua>
    [f=0000000] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [f=0000000] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=0000000] Loaded widget:  Chili CTF GUI       <gui_chili_ctf.lua>
    [f=0000000] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=0000000] Loaded widget:  Autoquit            <autoquit.lua>
    [f=0000000] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=0000000] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=0000000] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=0000000] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=0000000] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=0000000] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=0000000] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=0000000] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=0000000] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=0000000] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=0000000] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=0000000] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=0000000] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=0000000] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=0000000] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=0000000] Loaded widget:  Command Indicator (beta)  <gui_command_indicator.lua>
    [f=0000000] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=0000000] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=0000000] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=0000000] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=0000000] Loaded widget:  Chili Resource Bars Classic  <gui_chili_resource_bars.lua>
    [f=0000000] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=0000000] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=0000000] Loaded widget:  News Ticker         <gui_news_ticker.lua>
    [f=0000000] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=0000000] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=0000000] Loaded widget:  Hello World7        <hw6.lua>
    [f=0000000] Loaded widget:  Hello World6        <hw7.lua>
    [f=0000000] Spectator mode detected. Removed: Auto First Build Facing
    [f=0000000] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=0000000] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=0000000] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=0000000] <Startup Info and Selector> Spectator mode, Junior forced, or replay. Widget removed.
    [f=0000000] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=0000000] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=0000000] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=0000000] <Stockpiler>: disabled for spectators
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=0000000] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=0000000] <Outlaw On> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Outlaw On           <OutlawOn.lua>
    [f=0000000] <Terraform automation> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Terraform automation  <terraform_automation.lua>
    [f=0000000] <Accidental commands blocker> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Accidental commands blocker  <accidental_commands_blocker.lua>
    [f=0000000] <Replace Air Bomber Move order> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Replace Air Bomber Move order  <air_replace_move.lua>
    [f=0000000] <AI Assistant3.4> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  AI Assistant3.4     <helper3_4.lua>
    [f=0000000] <Unit Marker Zero-K (ivand)> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Unit Marker Zero-K (ivand)  <unit_marker_ak.lua>
    [f=0000000] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=0000000] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=0000000] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=0000000] Loaded widget:  Announcer           <gui_announcer.lua>
    [f=0000000] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  MessageBoxes        <mission_messagebox.lua>
    [f=0000000] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=0000000] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=0000000] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=0000000] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=0000000] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=0000000] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=0000000] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=0000000] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=0000000] Loaded widget:  Ore mexes!          <gui_oremex.lua>
    [f=0000000] Marketplace and Bounty Icons: Widget removed.
    [f=0000000] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=0000000] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=0000000] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=0000000] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=0000000] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=0000000] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=0000000] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=0000000] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=0000000] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=0000000] <Building Starter>: disabled for spectators
    [f=0000000] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=0000000] <Cloaker Guard>: disabled for spectators
    [f=0000000] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=0000000] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=0000000] Newton Firezone disabled for spectator.
    [f=0000000] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=0000000] Loaded widget:  Vertical Line on Radar Dots  <gui_vertlineaid.lua>
    [f=0000000] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=0000000] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=0000000] Chili: tried to add multiple times "scrollpanel1" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel2" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel3" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel4" to "Player List"!
    [f=0000000] Loaded widget:  Chili Deluxe Player List - Alpha 2.02  <gui_chili_deluxeplayerlist.lua>
    [f=0000000] Loaded widget:  Chili Window Packer  <gui_chili_windowpacker.lua>
    [f=0000000] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=0000000] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=0000000] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=0000000] Loaded widget:  Chili FactoryPanel  <gui_chili_facpanel.lua>
    [f=0000000] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=0000000] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=0000000] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [f=0000000] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=0000000] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=0000000] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=0000000] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=0000000] UnnamedPlayer (spec) DISABLE TTS
    [f=0000000] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=0000000] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=0000000] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=0000000] Writing last game win data
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=4140856916
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=4140856940
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (90ms, checksum 44588d07)
    [f=0000000] Mex Placement Initialised with 77 spots.
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '156' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] Opening demofile E:\Games\Spring\demos\20150308_144240_Nuclear_Winter_v1_98.0.1-398-g80e6cfa%20develop.sdf
    [f=0000000] Connection attempt from UnnamedPlayer (spec)
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa HEAD
    [f=0000000]  -> Connection established (given id 26)
    [f=0000000] Spectator UnnamedPlayer (spec) finished loading and is now ingame
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '56' to be successfully linked (GL_INVALID_OPERATION)
    [f=0000000] Error: CInfoTextureCombiner-shader validation error: Validation failed! - Different sampler types for same sample texture unit in fragment shader.
    
    [f=0000000] Epicmenu: Switching to Total Annihilation camera mode
    [f=0000000] <Ghost Site> Spectator mode. Widget removed.
    [f=0000000] Beginning demo playback
    [f=0000000] GameID: d051fc5466c929dbaa49a8d140c2d64e
    [f=0000000] Connection attempt from noobcluster
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 25)
    [f=0000000] Connection attempt from Chesti
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 3)
    [f=0000000] Connection attempt from Firepluk
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 14)
    [f=0000000] Connection attempt from Meep
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 1)
    [f=0000000] Connection attempt from ivand
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 7)
    [f=0000000] Connection attempt from naroonha_iv
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 19)
    [f=0000000] Connection attempt from Svatopluk
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 11)
    [f=0000000] Connection attempt from sdkfyt32
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 17)
    [f=0000000] Connection attempt from Helwor
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Connection attempt from entropy3
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 6)
    [f=0000000] Connection attempt from Jummy
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 10)
    [f=0000000] Connection attempt from Klon
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 5)
    [f=0000000] Connection attempt from southern98
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 15)
    [f=0000000] Connection attempt from Lightman
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 16)
    [f=0000000] Connection attempt from [ISP]Rallehop
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 8)
    [f=0000000] Connection attempt from GorilloX
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 13)
    [f=0000000] Connection attempt from Forever
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 12)
    [f=0000000] Connection attempt from KaktuS
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 22)
    [f=0000000] Connection attempt from Dones97
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 20)
    [f=0000000] Connection attempt from Spezialone
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 18)
    [f=0000000] Connection attempt from modschi
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 9)
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] > <Anarchid>"that's what happens when you rush dante instead of krow"
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] > <Firepluk>ok
    [f=0000000] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0000000] Connection attempt from mur1
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 24)
    [f=0000000] > <Anarchid>krow wouldn't get skuttled
    [f=0000000] Connection attempt from Marlencito
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 21)
    [f=0000000] > TLama has left the room
    [f=0000000] > <Anarchid>krow wouldn't get scorpioned!
    [f=0000000] <Chesti> Allies: I choose: Yes we scan!!
    [f=0000000] <Meep> Allies: I choose: EcoMeep!
    [f=0000000] Connection attempt from TLama
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 2)
    [f=0000000] <Jummy> Allies: I choose: lr1!
    [f=0000000] <Lightman> Allies: I choose: Titan!
    [f=0000000] > <Firepluk>this games do not worth to be played seriously
    [f=0000000] <Helwor> Allies: I choose: Army Raiser!
    [f=0000000] <Klon> Allies: I choose: Bob the Shop!
    [f=0000000] > <Anarchid>krow wouldn't get scorpioned while fighting a scorpion!
    [f=0000000] <[ISP]Rallehop> Allies: I choose: BITCH YOU NEED TO ECO !
    [f=0000000] > <Firepluk>nubs will resign anyway
    [f=0000000] [Game::ClientReadNet] added new player Rafal[ZK] with number 27 to team 0
    [f=0000000] Connection attempt from [ffc]killer
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 23)
    [f=0000000] <Spezialone> Allies: I choose: Support Trainer!
    [f=0000000] <Chesti> Allies: it is
    [f=0000000] <Firepluk> Allies: I choose: U225 Singularity Rush!
    [f=0000000] > <Forever>who does it play seriously Firepluk ?
    [f=0000000] > <Rafal[ZK]>damn too late
    [f=0000000] > <Forever>its a game!
    [f=0000000] <Chesti> Allies: esign guy is in other team
    [f=0000000] <Forever> Allies: I choose: Standard!
    [f=0000000] Connection attempt from Rafal[ZK]
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 26)
    [f=0000000] <Chesti> Allies: so lets kill him
    [f=0000000] > <Anarchid>Forever: fighting klon+burp
    [f=0000000] Helwor added point: planes
    [f=0000000] <[ISP]Rallehop> Allies: who?
    [f=0000000] <[ISP]Rallehop> Allies: lel
    [f=0000000] <ivand> Allies: I choose: Hobo with a shotgun!
    [f=0000000] <[ffc]killer> Allies: I choose: NECRO!
    [f=0000000] > <Forever>ohh :)
    [f=0000000] > <Forever>it depends
    [f=0000000] > <Anarchid>somehow that combo seemed to stimulate Firepluk very much
    [f=0000000] <KaktuS> Allies: I choose: Hodor Hodor Hodor!
    [f=0000000] > <TLama>By the war Anaar Hiid, is it normal that errorlog is few MB in 1 day?
    [f=0000000] > <Forever>some people have satisfaction in playing serious :D
    [f=0000000] <modschi> Allies: I choose: Commander 1!
    [f=0000000] <Dones97> Allies: I choose: Strike Trainer!
    [f=0000000] Skipping pregame chatter
    [f=0000000] <Marlencito> Allies: I choose: Support Trainer!
    [f=0000000] > <Forever>i like sophisticated strategy :D
    [f=0000000] Spectator Rafal[ZK] left the game:  normal quit
    [f=0000000] > <Anarchid>TLama ZKL error log?
    [f=0000000] <noobcluster> Allies: I choose: Flimmerkiste!
    [f=0000000] Forever added point: Firepluk 2 coms
    [f=0000000] > <Anarchid>which error log?
    [f=0000000] > <TLama>yes
    [f=0000000] Spezialone added point: air
    [f=0000000] Spezialone added point: aair
    [f=0000000] Forever added point: ned kill him fast
    [f=0000000] Spezialone added point: aair
    [f=0000000] Spezialone added point: aair
    [f=0000000] Forever added point: FINALLY decent air
    [f=0000000] > <Anarchid>copypaste it somewhere, and see what's it's spamming 
    [f=0000000] <Spezialone> Allies: we have 4 air player -.-
    [f=0000000] Forever added point: pls dont
    [f=0000000] > <Anarchid>open a github issue with that info
    [f=0000000] Forever added point: pls no
    [f=0000000] > <Anarchid>e.g. "not normal"
    [f=0000000] <Chesti> Allies: I choose: Battle Trainer!
    [f=0000000] Forever added point: and no :(
    [f=0000000] [Game::ClientReadNet] added new player mm19 with number 28 to team 0
    [f=0000000] > Game will be force started in 43 seconds
    [f=0000000] <Helwor> Allies: :p
    [f=0000000] Forever added point: ground pls
    [f=0000000] Forever added point: shields
    [f=0000000] Klon added point: spam rapiers
    [f=0000000] Connection attempt from mm19
    [f=0000000]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000000]  -> Connection established (given id 27)
    [f=0000000] Forever added point: shields
    [f=0000000] <Spezialone> Allies: we just need one airplayer pls
    [f=0000000] > <TLama>It spams the same stuff.. 
    [f=0000000] Klon added point: they are good vs air and ground
    [f=0000000] Forever added point: cloakies scythe rush
    [f=0000000] <noobcluster> Allies: I choose: Nebelmaschine!
    [f=0000007] Connection attempt from Anarchid
    [f=0000007]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0000007]  -> Connection established (given id 4)
    [f=0000031] !transmitlobby @voice@buildUnit@add;armca;Crane
    [f=0000031] !transmitlobby @voice@buildUnit@add;fighter;Swift
    [f=0000031] !transmitlobby @voice@buildUnit@add;corvamp;Hawk
    [f=0000031] !transmitlobby @voice@buildUnit@add;corshad;Raven
    [f=0000031] !transmitlobby @voice@buildUnit@add;corhurc2;Phoenix
    [f=0000031] !transmitlobby @voice@buildUnit@add;armstiletto_laser;Thunderbird
    [f=0000031] !transmitlobby @voice@buildUnit@add;armcybr;Wyvern
    [f=0000031] !transmitlobby @voice@buildUnit@add;corawac;Vulture
    [f=0000031] !transmitlobby @voice@buildUnit@reload
    [f=0000047] Speed set to 10.0 [server]
    [f=0000559] <Firepluk> Allies: gonna rush solar empire with 2 coms
    [f=0000633] <Firepluk> Allies: resign?
    [f=0000792] Chesti added point: can I get one freaker?
    [f=0000896] <Firepluk> Allies: no
    [f=0000996] <[ISP]Rallehop> Allies: lel
    [f=0001040] <[ffc]killer> Allies: sins of solar empire
    [f=0001040] <Chesti> Allies: sex?
    [f=0001294] <[ISP]Rallehop> Allies: wubs
    [f=0001382] Helwor added point: jumper lab (Jummy)
    [f=0001440] Helwor added point: pyro
    [f=0001447] <Firepluk> Allies: ye wubs
    [f=0001532] Helwor added point: lveh lab (Meep)
    [f=0001603] <[ffc]killer> Allies: scrubs
    [f=0001621] Helwor added point: jumper lab (Firepluk)
    [f=0001700] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001712] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001724] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001737] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001748] Forever added point: hes here
    [f=0001749] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001761] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001773] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001785] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001797] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001810] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001822] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001834] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001846] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001859] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001871] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001883] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001895] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001908] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001917] Helwor added point: cloaky lab (Lightman)
    [f=0001932] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001944] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001956] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001968] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001981] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0001993] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002005] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002017] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002030] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002042] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002054] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002066] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002078] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002103] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002115] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002127] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002134] Helwor added point: plane lab (Chesti)
    [f=0002140] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002152] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002164] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002176] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002189] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002201] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002213] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002237] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002249] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002261] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002274] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002286] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002298] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002310] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002323] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002335] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002337] <[ffc]killer> Allies: what arty unit has longest range anyway
    [f=0002347] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002359] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002371] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002394] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002396] <[ISP]Rallehop> Allies: where is enemy mid
    [f=0002406] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002412] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0002412] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0002418] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002431] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002443] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002455] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0002726] [ISP]Rallehop added point: lolz
    [f=0003098] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003108] <[ISP]Rallehop> Allies: archer
    [f=0003110] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003122] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003134] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003146] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003159] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003171] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003183] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0003379] Helwor added point: plane lab (Firepluk)
    [f=0003609] > Rafal[ZK] has left the room
    [f=0003696] [Game::ClientReadNet] added new player _edrush with number 29 to team 0
    [f=0003766] > <Anarchid>yes: what stuff?
    [f=0003849] [ISP]Rallehop added point: dafuq my comm was stuck inside of the fac lol
    [f=0003869] Connection attempt from Rafal[ZK]
    [f=0003869]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0003869]  -> Connection established (given id 26)
    [f=0003925] Forever added point: close
    [f=0004053] <Firepluk> gtfo
    [f=0004147] <[ffc]killer> Allies: rippings
    [f=0004257] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0004257] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0004257] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0004257] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0005024] > <TLama>It is 4 lines of text, gonna paste it somewhere
    [f=0005214] <[ffc]killer> Allies: weawer op
    [f=0005381] > <Anarchid>make a github ticket, and paste there :P
    [f=0005407] Player  sent spoofed NETMSG_STARTPOS with teamID 0
    [f=0005657] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0005657] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0005657] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0005657] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006013] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0006645] Spectator Rafal[ZK] left the game:  normal quit
    [f=0007538] [ISP]Rallehop added point: stinger
    [f=0007555] Lightman added point: dangit
    [f=0009171] Anarchid added point: range with terraform
    [f=0009393] Anarchid added point: stinger range without TF
    [f=0009605] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009617] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009630] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009642] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009654] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009666] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009679] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009691] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009703] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009715] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009728] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009740] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009752] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009764] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009776] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009789] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009801] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009813] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009826] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009838] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009850] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009862] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009874] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009887] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009899] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009911] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009923] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009923] Forever added point: wtf
    [f=0009935] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009947] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009959] Anarchid added point: 
    [f=0009960] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0009975] Connection attempt rejected: Wrong network version: 6, required version: 98 (Message ID: A Network version: 
    [f=0010104] [ffc]killer added point: oh gawd
    [f=0010158] > Rafal[ZK] has left the room
    [f=0010320] Anarchid added point: this is why you don't build stingers on hills
    [f=0010332] Forever added point: aa here
    [f=0010613] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0010613] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0010613] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0010613] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0010652] Connection attempt from Rafal[ZK]
    [f=0010652]  -> Version: 98.0.1-398-g80e6cfa develop
    [f=0010652]  -> Connection established (given id 26)
    [f=0010826] Chesti added point: I could help bombing u get on hill then?
    [f=0011116] <[ISP]Rallehop> Allies: enemy are porcing in hard
    [f=0011160] Spezialone added point: ssuper com
    [f=0011362] <Firepluk> Allies: send me metals for nux
    [f=0011435] Lightman added point: hangon let me pressure with arty first, or you can kill com
    [f=0011507] <[ISP]Rallehop> Allies: got no metalz
    [f=0011683] Spezialone added point: bbomb plsd
    [f=0011725] Anarchid added point: wow those fires 
    [f=0011761] <Firepluk> Allies: shiny and no more porc
    [f=0011893] <[ffc]killer> Allies: nice suicide
    [f=0011937] <[ISP]Rallehop> Allies: i know
    [f=0011960] <Firepluk> Allies: only grilled lobsters
    [f=0012038] <[ISP]Rallehop> Allies: and then massive hole on middle
    [f=0012057] <Chesti> Allies: eah
    [f=0012076] <[ISP]Rallehop> Allies: lel
    [f=0012180] <Chesti> Allies: they advanced :P
    [f=0012965] [Anarchid (replay)] Allies: where did chesti put all the bombers
    [f=0013045] <Firepluk> Allies: nux 75%
    [f=0013059] Forever added point: deads
    [f=0013076] <Firepluk> Allies: :D
    [f=0013132] <Helwor> Allies: no bomber atm
    [f=0013155] <[ISP]Rallehop> Allies: lelz
    [f=0013251] <[ISP]Rallehop> Allies: need it
    [f=0013289] <Firepluk> Allies: lobsters death imminient
    [f=0013321] <[ISP]Rallehop> Allies: stupid porcers
    [f=0013514] <Spezialone> Allies: okay than we have a prob
    [f=0013573] <[ISP]Rallehop> Allies: need scout middle plox
    [f=0013589] Spectator Rafal[ZK] left the game:  normal quit
    [f=0013634] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013634] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013634] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013634] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0013650] game_message: Giving all units of [ffc]killer to Firepluk due to lag/AFK (ally #1)
    [f=0013719] <Helwor> Allies: making stiletto
    [f=0013758] <Firepluk> Allies: 85%
    [f=0013782] <Chesti> Allies: ok
    [f=0014114] Lightman added point: help
    [f=0014153] <[ISP]Rallehop> Allies: i want to know what those porcs are..
    [f=0014440] noobcluster added point: reclaima
    [f=0014509] <[ISP]Rallehop> Allies: ok
    [f=0014600] Anarchid added point: gg and no shiny saves you 
    [f=0014838] <Spezialone> Allies: okay this side is lost
    [f=0014862] <Firepluk> Allies: nux up
    [f=0014983] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0014983] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0014983] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0014983] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015030] <[ISP]Rallehop> Allies: stinger down
    [f=0015090] <Lightman> Allies: bottom is dead
    [f=0015211] ivand added point: HALP
    [f=0015270] <Firepluk> Allies: lel
    [f=0015436] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015436] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015436] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015436] Error: OpenGL: source<API> type<error> id<2267> severity<high>:
    glCallList has failed because the operation requires a currently active program object (GL_INVALID_OPERATION)
    [f=0015803] [cawidgets.lua] Error: Error in MousePress(): [string "LuaUI\Widgets\hw7.lua"]:81: attempt to call field 'GetGroundSlope' (a nil value)
    [f=0015803] [cawidgets.lua] Error: Removed widget: Hello World6
    [f=0015803] Playback paused
    [f=0015821] UnnamedPlayer (spec) paused the demo
    [f=0015821] Playback continued
    [f=0015821] UnnamedPlayer (spec) unpaused the demo
    [f=0015905] [Anarchid (replay)] Allies: sfire should make krow now
    [f=0015924] Speed set to 1.0 [server]
    [f=0015933] Speed set to 2.0 [server]
    [f=0015938] > <TLama>Is it done by "Create new Issue"? Never used GitHub before
    [f=0016020] Speed set to 3.0 [server]
    [f=0016037] <Helwor> Allies: ops
    [f=0016144] Playback paused
    [f=0016150] game_message: Player [ffc]killer is no longer lagging or AFK; returning all his or her units
    [f=0016152] UnnamedPlayer (spec) paused the demo
    [f=0016152] Error: OpenGL: source<API> type<error> id<2269> severity<high>:
    glUniformMatrix4fv has failed to set the uniform at location '18': the uniform's type, component size, or matrix dimensions are incompatible with the function variant (GL_INVALID_OPERATION)
    [f=0016152] Error: OpenGL: source<API> type<error> id<2269> severity<high>:
    glUniform3f has failed to set the uniform at location '19': the uniform's type, component size, or matrix dimensions are incompatible with the function variant (GL_INVALID_OPERATION)
    [f=0016152] Error: OpenGL: source<API> type<error> id<2269> severity<high>:
    glUniformMatrix4fv has failed to set the uniform at location '25': the uniform's type, component size, or matrix dimensions are incompatible with the function variant (GL_INVALID_OPERATION)
    [f=0016152] Error: Spring 98.0.1-398-g80e6cfa HEAD has crashed.
    [f=0016152] Error: DLL information:
    [f=0016152] Error: 0x00400000	spring
    [f=0016152] Error: 0x772b0000	ntdll
    [f=0016152] Error: 0x76c10000	kernel32
    [f=0016152] Error: 0x76600000	KERNELBASE
    [f=0016152] Error: 0x196c0000	DevIL
    [f=0016152] Error: 0x52270000	MSVCP80
    [f=0016152] Error: 0x521d0000	MSVCR80
    [f=0016152] Error: 0x75140000	msvcrt
    [f=0016152] Error: 0x753d0000	USER32
    [f=0016152] Error: 0x74ce0000	GDI32
    [f=0016152] Error: 0x755f0000	LPK
    [f=0016152] Error: 0x74fb0000	USP10
    [f=0016152] Error: 0x75550000	ADVAPI32
    [f=0016152] Error: 0x75060000	sechost
    [f=0016152] Error: 0x76d80000	RPCRT4
    [f=0016152] Error: 0x74c50000	SspiCli
    [f=0016152] Error: 0x74c40000	CRYPTBASE
    [f=0016152] Error: 0x6cec0000	libgcc_s_sjlj-1
    [f=0016152] Error: 0x681c0000	GLU32
    [f=0016152] Error: 0x59af0000	OPENGL32
    [f=0016152] Error: 0x52820000	DDRAW
    [f=0016152] Error: 0x73510000	DCIMAN32
    [f=0016152] Error: 0x751f0000	SETUPAPI
    [f=0016152] Error: 0x75080000	CFGMGR32
    [f=0016152] Error: 0x75660000	OLEAUT32
    [f=0016152] Error: 0x76a40000	ole32
    [f=0016152] Error: 0x753a0000	DEVOBJ
    [f=0016152] Error: 0x65970000	dwmapi
    [f=0016152] Error: 0x76d40000	IMAGEHLP
    [f=0016152] Error: 0x759b0000	SHELL32
    [f=0016152] Error: 0x74db0000	SHLWAPI
    [f=0016152] Error: 0x71690000	WINMM
    [f=0016152] Error: 0x76e70000	WS2_32
    [f=0016152] Error: 0x74d70000	NSI
    [f=0016152] Error: 0x6fc40000	libstdc++-6
    [f=0016152] Error: 0x64940000	libwinpthread-1
    [f=0016152] Error: 0x6b600000	OpenAL32
    [f=0016152] Error: 0x70780000	vorbisfile
    [f=0016152] Error: 0x68140000	ogg
    [f=0016152] Error: 0x64cc0000	vorbis
    [f=0016152] Error: 0x62e80000	zlib1
    [f=0016152] Error: 0x70e40000	libfreetype-6
    [f=0016152] Error: 0x64f80000	libfontconfig-1
    [f=0016152] Error: 0x68f40000	libexpat-1
    [f=0016152] Error: 0x62aa0000	glew32
    [f=0016152] Error: 0x6c740000	SDL2
    [f=0016152] Error: 0x75600000	IMM32
    [f=0016152] Error: 0x756f0000	MSCTF
    [f=0016152] Error: 0x74750000	VERSION
    [f=0016152] Error: 0x67720000	uxtheme
    [f=0016152] Error: 0x734f0000	atiglpxx
    [f=0016152] Error: 0x1bc80000	atioglxx
    [f=0016152] Error: 0x52730000	atiadlxy
    [f=0016152] Error: 0x74520000	PROPSYS
    [f=0016152] Error: 0x74d90000	USERENV
    [f=0016152] Error: 0x759a0000	profapi
    [f=0016152] Error: 0x74890000	WTSAPI32
    [f=0016152] Error: 0x753c0000	PSAPI
    [f=0016152] Error: 0x74770000	IPHLPAPI
    [f=0016152] Error: 0x74760000	WINNSI
    [f=0016152] Error: 0x74cb0000	WINTRUST
    [f=0016152] Error: 0x76920000	CRYPT32
    [f=0016152] Error: 0x76d70000	MSASN1
    [f=0016152] Error: 0x68190000	atigktxx
    [f=0016152] Error: 0x76890000	CLBCatQ
    [f=0016152] Error: 0x72110000	shfolder
    [f=0016152] Error: 0x67220000	MMDevApi
    [f=0016152] Error: 0x66b00000	dsound
    [f=0016152] Error: 0x616b0000	POWRPROF
    [f=0016152] Error: 0x671c0000	AUDIOSES
    [f=0016152] Error: 0x68090000	dinput8
    [f=0016152] Error: 0x73d70000	HID
    [f=0016152] Error: 0x1b970000	XInput1_3
    [f=0016152] Error: 0x74910000	dbghelp
    [f=0016152] Error: Exception: Access violation (0xc0000005)
    [f=0016152] Error: Exception Address: 0x1c7de3ef
    [f=0016152] Error: Stacktrace for Spring 98.0.1-398-g80e6cfa HEAD:
    [f=0016152] Error: This stack trace indicates a problem with your graphic card driver. Please try upgrading or downgrading it. Specifically recommended is the latest driver, and one that is as old as your graphic card. Make sure to use a driver removal utility, before installing other drivers.
    [f=0016152] Error: (0) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0xaa23df) [0x1C7DE3EF]
    [f=0016152] Error: (1) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0xa6efd1) [0x1C7AAFE1]
    [f=0016152] Error: (2) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0x423ad2) [0x1C15FAE2]
    [f=0016152] Error: (3) C:\Windows\system32\atioglxx.dll(DrvPresentBuffers+0x7a3003) [0x1C4DF013]
    [f=0016152] Error: (4) E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe [0x006E33BB]
    [f=0016152] Error: (5) E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe [0x006E88CC]
    [f=0016152] Error: [ErrorMessageBox][1] msg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      E:\Games\Spring\infolog.txt" IsMainThread()=1 fromMain=0
    [f=0016152] Error: [ErrorMessageBox][2]
    [f=0016152] [SpringApp::ShutDown][1]
    [f=0016152] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0016152] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0016152] [SpringApp::ShutDown][2]
    [f=0016152] [~CGame]1]
    [f=0016152] [KillLua][1]
    [f=0016152] [KillLua][2]
    [f=0016152] Start gadgetHandler:Shutdown
    [f=0016152] Shutdown - ShareControl
    [f=0016152] Shutdown - UnitMorph
    [f=0016152] Shutdown - LupsNanoSpray
    [f=0016152] Shutdown - Puppy Handler
    [f=0016152] Shutdown - Terrain Texture Handler
    [f=0016152] Shutdown - UnitCloakShield
    [f=0016152] End gadgetHandler:Shutdown
    [f=0016152] Start gadgetHandler:Shutdown
    [f=0016152] Shutdown - UnitMorph
    [f=0016152] Shutdown - UnitCloakShield
    [f=0016152] Shutdown - Lups Cloak FX
    [f=0016152] Shutdown - Lups
    [f=0016152] End gadgetHandler:Shutdown
    [f=0016152] [KillLua][3]
    [f=0016152] [KillLua][4]
    [f=0016152] [KillMisc][1]
    [f=0016152] [KillMisc][2]
    [f=0016152] [KillRendering][1]
    [f=0016152] Statistics for RectangleOptimizer: 8%
    [f=0016152] [KillInterface][1]
    [f=0016152] Start widgetHandler:Shutdown
    [f=0016152] Shutdown - SaveOrderList Complete
    [f=0016152] Writing last game win data
    [f=0016152] Shutdown - SaveConfigData Complete
    [f=0016152] Shutdown Widget - EPIC Menu
    [f=0016152] Shutdown Widget - Chili Widget Selector
    [f=0016152] Shutdown Widget - Chili Minimap
    [f=0016152] Shutdown Widget - Local Team Colors
    [f=0016152] Shutdown Widget - Noises
    [f=0016152] Shutdown Widget - HealthBars
    [f=0016152] Shutdown Widget - Unit Icons
    [f=0016152] Shutdown Widget - Win Counter
    [f=0016152] Shutdown Widget - Darkening
    [f=0016152] Shutdown Widget - Highlight Geos
    [f=0016152] Shutdown Widget - Mex Placement Handler
    [f=0016152] Shutdown Widget - MinimapEvents
    [f=0016152] Shutdown Widget - CameraShake
    [f=0016152] Shutdown Widget - Command Indicator (beta)
    [f=0016152] Shutdown Widget - Local Widgets Config
    [f=0016152] Shutdown Widget - Chili EndGame Window
    [f=0016152] Shutdown Widget - Chili Resource Bars Classic
    [f=0016152] Shutdown Widget - Chili Selections & CursorTip
    [f=0016152] Shutdown Widget - Context Menu
    [f=0016152] Shutdown Widget - Announcer
    [f=0016152] Shutdown Widget - Attack AoE
    [f=0016152] Shutdown Widget - MessageBoxes
    [f=0016152] Shutdown Widget - UnitShapes
    [f=0016152] Shutdown Widget - Selection Send
    [f=0016152] Shutdown Widget - Units on Fire
    [f=0016152] Shutdown Widget - LupsManager
    [f=0016152] Shutdown Widget - Chili Deluxe Player List - Alpha 2.02
    [f=0016152] Shutdown Widget - Chili Pro Console
    [f=0016152] Shutdown Widget - Chili Framework
    [f=0016152] Shutdown Widget - Lups
    [f=0016152] Shutdown Widget - Chili Core Selector
    [f=0016152] Shutdown Widget - Pause Screen
    [f=0016152] Shutdown Widget - Text To Speech Control
    [f=0016152] UnnamedPlayer (spec) DISABLE TTS
    [f=0016152] Shutdown Widget - Lasso Terraform GUI
    [f=0016152] Shutdown Widget - Chili Integral Menu
    [f=0016152] End widgetHandler:Shutdown
    [f=0016152] [KillInterface][2]
    [f=0016152] [KillSimulation][1]
    [f=0016152] [KillSimulation][2]
    [f=0016152] [CCollisionHandler] dis-/continuous tests: 264/426972
    [f=0016152] [KillSimulation][3]
    [f=0016152] [KillSimulation][4]
    [f=0016152] [~CPathCache(40x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0016152] [~CPathCache(40x24)] cacheHits=943 hitPercentage=40% numHashColls=0 maxCacheSize=76
    [f=0016152] [~CPathCache(160x96)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0016152] [~CPathCache(160x96)] cacheHits=657 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0016152] Statistics for RectangleOptimizer: 8%
    [f=0016152] Statistics for RectangleOptimizer: 8%
    [f=0016152] [KillSimulation][5]
    [f=0016152] [~CGame][2]
    [f=0016152] [~CGame][3]
    [f=0016152] [SpringApp::ShutDown][3]
    [f=0016152] Statistics for local connection:
    Received: 969287 bytes
    Sent: 169577 bytes
    
    [f=0016152] [SpringApp::ShutDown][4]
    [f=0016152] [SpringApp::ShutDown][5]
    [f=0016152] [SpringApp::ShutDown][6]
    [f=0016152] Error: [ExitMessage] failed to shutdown normally, exit forced
    [f=0016152] Fatal: Spring: Unhandled exception
    Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      E:\Games\Spring\infolog.txt
    
    txt file icon infolog_DGLST.txt (74,381 bytes) 2015-03-08 22:31 +
  • txt file icon infolog_hangs.txt (25,897 bytes) 2015-03-09 14:13 -
    [ParseCmdLine] command-line args: "E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe "E:\Games\Spring\demos\20150308_144240_Nuclear_Winter_v1_98.0.1-398-g80e6cfa%20develop.sdf" --config "E:\Games\Spring\springsettings.cfg""
    Using configuration source: "E:\Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    3DTrees = 0
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    CompressTextures = 1
    DebugGL = 1
    DebugGLStacktraces = 1
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    Fullscreen = 0
    GrassDetail = 1
    GroundDecals = 3
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Tropical
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Commanders
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ReflectiveWater = 4
    ScreenshotCounter = 5
    ScrollWheelSpeed = -25
    ShadowMapSize = 1024
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 1
    SpringData = E:\Games\Spring\
    TreeRadius = 1000
    UnitIconDist = 151
    UnitLodDist = 9999
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    WindowedEdgeMove = 0
    WorkerThreadSpinTime = 5
    XResolution = 1920
    YResolution = 1080
    snd_airAbsorption = 0
    snd_volmaster = 34
    snd_volmusic = 34
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 98.0.1-398-g80e6cfa HEAD
    Build Date & Time: Mar  8 2015 23:05:28
    Build Environment: boost-105500, GNU libstdc++ version 20141030
    Compiler Version:  gcc-4.9.2
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz; 16375MB RAM, 24565MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x648, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1360x1024, 1366x768, 1400x1050, 1440x900, 1600x900, 1600x1200, 1680x1050, 1776x1000, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.4.13283 Compatibility Profile/Debug Context 14.501.1003.0
    GL vendor:    ATI Technologies Inc.
    GL renderer:  AMD Radeon HD 5800 Series
    GLSL version: 4.40
    GLEW version: 1.5.8
    Video RAM:    unknown
    SwapInterval: 0
    Installing OpenGL-DebugMessageHandler
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 1
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 91 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [WatchDog::Install] disabled
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    [DataDirs] Isolation Mode!
    Using read-write data directory: E:\Games\Spring\
    Using read-only data directory: C:\Users\AK\Documents\My Games\Spring\
    Using read-only data directory: E:\Games\Spring\engine\98.0.1-398-g80e6cfa\
    Using read-only data directory: E:\Games\Spring\engine\
    Scanning: E:\Games\Spring\engine\98.0.1-398-g80e6cfa\base
    Scanning: E:\Games\Spring\maps
    Scanning: E:\Games\Spring\games
    Scanning: E:\Games\Spring\packages
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]               SPDIF Interface (TX1) (VIA High Definition Audio)
    [f=0000000] [Sound]               HD Audio HDMI out (VIA High Definition Audio)
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 32
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] Hosting on: localhost:8452
    [f=0000000] Connecting to local server
    [f=0000000] [ReadDataFromDemo] pre-scanning demo file for game data...
    [f=0000000] [StartServerForDemo] starting GameServer
    [f=0000000] [StartServerForDemo] started GameServer
    [f=0000000] PreGame::ReadDataFromDemo: 53 ms
    [f=0000000] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz (windowed)
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Nuclear_Winter_v1
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Zero-K v1.3.3.2 (archive: 048106ee667d402d8f34b5b03bd1c4a0.sdp)
    [f=0000000] Warning: Incompatible map-checksum: Checksum of Nuclear_Winter_v1 (checksum 0xd3bebe77) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] Warning: Incompatible game-checksum: Checksum of 048106ee667d402d8f34b5b03bd1c4a0.sdp (checksum 0xe18067b0) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] PreGame::GameDataReceived: 38 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 26 (team 0, allyteam 0)
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Found new widget "WM Stuff"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (97 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  3.621000
    [f=0000000] Game::LoadDefs (GameData): 3838 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=0000000] [Sound]  parsed 312 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 15 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 85 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "chicken" already belongs to ArmorDef category 1!
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] [Sound] Error: WAV file sounds/weapon/missile/missile_fire2.wav has data length 291939 greater than actual data length 101848
    [f=0000000] Loading Unit Definitions
    [f=0000000] Warning: factoryhover: Given yardmap requires 1 extra char(s)!
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] FBO::maxSamples: 8
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 6 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag explspike::ttl
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 117 ms
    [f=0000000] [Sound] Error: Unable to open audio file: MultiSelect
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=0000000] Game::LoadInterface (Console): 10 ms
    [f=0000000] [Sound] Error: Unable to open audio file: FailedCommand
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=0000000] Loading LuaRules
    [f=0000000] Setting morph for custom comms for player: 1
    [f=0000000] Setting morph for custom comms for player: 3
    [f=0000000] Setting morph for custom comms for player: 5
    [f=0000000] Setting morph for custom comms for player: 7
    [f=0000000] Setting morph for custom comms for player: 8
    [f=0000000] Setting morph for custom comms for player: 9
    [f=0000000] Setting morph for custom comms for player: 10
    [f=0000000] Setting morph for custom comms for player: 12
    [f=0000000] Setting morph for custom comms for player: 14
    [f=0000000] Setting morph for custom comms for player: 16
    [f=0000000] Setting morph for custom comms for player: 0
    [f=0000000] Setting morph for custom comms for player: 21
    [f=0000000] Setting morph for custom comms for player: 25
    [f=0000000] Setting morph for custom comms for player: 22
    [f=0000000] Setting morph for custom comms for player: 23
    [f=0000000] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=0000000] Initializing gadget
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Loading last game win data
    [f=0000000] Resetting win data
    [f=0000000] Last game player count: 17, This game player count: 17
    [f=0000000] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=0000000] Player and team counts match, continuing
    [f=0000000] Testing last game's team 1 mapped to this game's team 1
    [f=0000000] Testing last game's team 0 mapped to this game's team 0
    [f=0000000] All players and teams match from last game, using last game's scores as base
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager.lua  ([string "LuaUI\Widgets\EcoManager.lua"]:44: unexpected symbol near '=')
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: GridManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: JobsManager.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: MyUtils.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: TasksManager.lua  (no GetInfo() call)
    [f=0000000] Failed to load: helper2.lua  (Include() could not load 'LuaUI/Widgets/GridManager.lua')
    [f=0000000] [cawidgets.lua] Error: Failed to load: old_snippets.lua  (no GetInfo() call)
    [f=0000000] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=0000000] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=0000000] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=0000000] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=0000000] Hardware mouse-cursor is enabled!
    [f=0000000] Set "shadows" config-parameter to 2
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set maximum particles to: 3000
    [f=0000000] Set UnitLodDist to 9999
    [f=0000000] Set UnitIconDist to 151
    [f=0000000] model shaders is enabled!
    [f=0000000] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=0000000] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=0000000] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=0000000] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=0000000] Mexspot Fetcher fetching
    [f=0000000] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=0000000] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=0000000] Loaded widget:  Noises              <snd_noises.lua>
    [f=0000000] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=0000000] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=0000000] Loaded widget:  1v1 Attrition Scoreboard  <gui_attrition_counter.lua>
    [f=0000000] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=0000000] Loaded widget:  Export Heightmap    <ExportHeightMap.lua>
    [f=0000000] Loaded widget:  TeamCommEnds & Lavarise indicator  <gui_teamcommends.lua>
    [f=0000000] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=0000000] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=0000000] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [f=0000000] Loaded widget:  Win Counter         <win_counter.lua>
    [f=0000000] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=0000000] Loaded widget:  Chili CTF GUI       <gui_chili_ctf.lua>
    [f=0000000] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=0000000] Loaded widget:  Autoquit            <autoquit.lua>
    [f=0000000] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=0000000] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=0000000] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=0000000] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=0000000] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=0000000] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=0000000] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=0000000] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=0000000] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=0000000] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=0000000] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=0000000] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=0000000] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=0000000] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=0000000] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=0000000] Loaded widget:  Command Indicator (beta)  <gui_command_indicator.lua>
    [f=0000000] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=0000000] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=0000000] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=0000000] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=0000000] Loaded widget:  Chili Resource Bars Classic  <gui_chili_resource_bars.lua>
    [f=0000000] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=0000000] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=0000000] Loaded widget:  News Ticker         <gui_news_ticker.lua>
    [f=0000000] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=0000000] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=0000000] Spectator mode detected. Removed: Auto First Build Facing
    [f=0000000] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=0000000] Loaded widget:  Hello World7        <hw6.lua>
    [f=0000000] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=0000000] Loaded widget:  Hello World6        <hw7.lua>
    [f=0000000] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=0000000] <Startup Info and Selector> Spectator mode, Junior forced, or replay. Widget removed.
    [f=0000000] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=0000000] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=0000000] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=0000000] <Stockpiler>: disabled for spectators
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=0000000] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=0000000] <Outlaw On> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Outlaw On           <OutlawOn.lua>
    [f=0000000] <Terraform automation> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Terraform automation  <terraform_automation.lua>
    [f=0000000] <Accidental commands blocker> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Accidental commands blocker  <accidental_commands_blocker.lua>
    [f=0000000] <Replace Air Bomber Move order> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Replace Air Bomber Move order  <air_replace_move.lua>
    [f=0000000] <AI Assistant3.4> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  AI Assistant3.4     <helper3_4.lua>
    [f=0000000] <Unit Marker Zero-K (ivand)> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Unit Marker Zero-K (ivand)  <unit_marker_ak.lua>
    [f=0000000] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=0000000] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=0000000] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=0000000] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=0000000] Loaded widget:  Announcer           <gui_announcer.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  MessageBoxes        <mission_messagebox.lua>
    [f=0000000] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=0000000] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=0000000] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=0000000] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=0000000] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=0000000] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=0000000] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=0000000] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=0000000] Loaded widget:  Ore mexes!          <gui_oremex.lua>
    [f=0000000] Marketplace and Bounty Icons: Widget removed.
    [f=0000000] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=0000000] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=0000000] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=0000000] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=0000000] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=0000000] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=0000000] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=0000000] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=0000000] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=0000000] <Building Starter>: disabled for spectators
    [f=0000000] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=0000000] <Cloaker Guard>: disabled for spectators
    [f=0000000] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=0000000] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=0000000] Newton Firezone disabled for spectator.
    [f=0000000] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=0000000] Loaded widget:  Vertical Line on Radar Dots  <gui_vertlineaid.lua>
    [f=0000000] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=0000000] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=0000000] Chili: tried to add multiple times "scrollpanel1" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel2" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel3" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel4" to "Player List"!
    [f=0000000] Loaded widget:  Chili Deluxe Player List - Alpha 2.02  <gui_chili_deluxeplayerlist.lua>
    [f=0000000] Loaded widget:  Chili Window Packer  <gui_chili_windowpacker.lua>
    [f=0000000] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=0000000] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=0000000] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=0000000] Loaded widget:  Chili FactoryPanel  <gui_chili_facpanel.lua>
    [f=0000000] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=0000000] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=0000000] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [f=0000000] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=0000000] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=0000000] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=0000000] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=0000000] UnnamedPlayer (spec) DISABLE TTS
    [f=0000000] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=0000000] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=0000000] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=0000000] Writing last game win data
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=4140856916
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=4140856940
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (89ms, checksum 44588d07)
    [f=0000000] Mex Placement Initialised with 77 spots.
    [f=0000000] Error: OpenGL: source<API> type<error> id<2265> severity<high>:
    glGetUniformLocation has failed because the operation requires the referenced program object '221' to be successfully linked (GL_INVALID_OPERATION)
    
    txt file icon infolog_hangs.txt (25,897 bytes) 2015-03-09 14:13 +
  • txt file icon infolog_adv_shading_shadows-2.txt (43,190 bytes) 2015-03-30 21:05 -
    [ParseCmdLine] command-line args: "E:\Games\Spring\engine\98.0.1-451-g0804ae1\spring.exe --config "E:\Games\Spring\springsettings.cfg" "E:/Games/Spring/script.txt""
    Using configuration source: "E:\Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    GroundDecals = 3
    GroundDetail = 102
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Tropical
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Commanders
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ReflectiveWater = 4
    ScreenshotCounter = 23
    ScrollWheelSpeed = -25
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 1
    SpringData = E:\Games\Spring\
    TreeRadius = 1000
    UnitIconDist = 140
    UnitLodDist = 9999
    UseEFX = 0
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    WindowedEdgeMove = 0
    XResolution = 1920
    YResolution = 1080
    snd_volmaster = 13
    snd_volmusic = 34
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 98.0.1-451-g0804ae1 develop
    Build Date & Time: Mar 22 2015 11:54:29
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz; 16375MB RAM, 24565MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x648, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1360x1024, 1366x768, 1400x1050, 1440x900, 1600x900, 1600x1200, 1680x1050, 1776x1000, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.4.13283 Compatibility Profile Context 14.501.1003.0
    GL vendor:    ATI Technologies Inc.
    GL renderer:  AMD Radeon HD 5800 Series
    GLSL version: 4.40
    GLEW version: 1.5.8
    Video RAM:    unknown
    SwapInterval: 0
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 91 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [WatchDog::Install] disabled
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    [DataDirs] Isolation Mode!
    Using read-write data directory: E:\Games\Spring\
    Using read-only data directory: C:\Users\AK\Documents\My Games\Spring\
    Using read-only data directory: E:\Games\Spring\engine\98.0.1-451-g0804ae1\
    Using read-only data directory: E:\Games\Spring\engine\
    Scanning: E:\Games\Spring\engine\98.0.1-451-g0804ae1\base
    Scanning: E:\Games\Spring\maps
    Scanning: E:\Games\Spring\games
    Scanning: E:\Games\Spring\packages
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]               SPDIF Interface (TX1) (VIA High Definition Audio)
    [f=0000000] [Sound]               HD Audio HDMI out (VIA High Definition Audio)
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: no
    [f=0000000] [Sound]   Max Sounds: 32
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] [Startup] Loading StartScript from: E:/Games/Spring/script.txt
    [f=0000000] Connecting to: 94.23.171.71:8864
    [f=0000000] Connecting to 94.23.171.71:8864 using name ivand2
    [f=0000000] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Quicksilver 1.1
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Zero-K v1.3.3.8 (archive: 1db102159136125754851d6e31bfd7bb.sdp)
    [f=0000000] Recording demo to: E:\Games\Spring\demos\20150330_190813_Quicksilver 1_98.0.1-451-g0804ae1 develop.sdf
    [f=0000000] PreGame::GameDataReceived: 81 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 1)
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Found new widget "WM Stuff"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (58 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.290000
    [f=0000000] Game::LoadDefs (GameData): 364 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 312 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 15 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 34 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] FBO::maxSamples: 8
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 3 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 116 ms
    [f=0000000] Game::LoadInterface (Console): 9 ms
    [f=0000000] Loading LuaRules
    LuaRules: Loaded gadget:  CustomUnitShaders   <LuaRules/Gadgets/customunitshaders/main.lua>
    LuaRules: Loaded gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    LuaRules: Loaded gadget:  Ranks API           <api_ranks.lua>
    LuaRules: Loaded gadget:  Save/Load           <api_saveload.lua>
    LuaRules: Loaded gadget:  No Friendly Fire    <unit_nofriendlyfire.lua>
    LuaRules: Loaded gadget:  IconGenerator       <unit_icongenerator.lua>
    LuaRules: Loaded gadget:  Mex Placement       <mex_placement.lua>
    LuaRules: Loaded gadget:  Nano Frame Death Handeling  <unit_nanoframe_death.lua>
    LuaRules: Loaded gadget:  No Self-D           <unit_noselfd.lua>
    LuaRules: Loaded gadget:  Ore mexes!          <unit_oremex.lua>
    LuaRules: Loaded gadget:  ShareControl        <share_control.lua>
    LuaRules: Loaded gadget:  Mex Control with energy link  <unit_mex_overdrive.lua>
    LuaRules: Loaded gadget:  lavarise            <lavarise.lua>
    LuaRules: Loaded gadget:  UnitPriority        <unit_priority.lua>
    LuaRules: Loaded gadget:  Attributes          <unit_attributes.lua>
    LuaRules: Loaded gadget:  Boolean Disable     <unit_boolean_disable.lua>
    LuaRules: Loaded gadget:  Impulse Float Toggle  <unit_impulsefloat_toggle.lua>
    LuaRules: Loaded gadget:  LockOptions         <lockunits_modoption.lua>
    LuaRules: Loaded gadget:  Perks               <game_perks.lua>
    LuaRules: Loaded gadget:  Script notification  <unit_script_notification.lua>
    LuaRules: Loaded gadget:  Stockpile           <unit_stockpile.lua>
    LuaRules: Loaded gadget:  UnitMorph           <unit_morph.lua>
    LuaRules: Loaded gadget:  AirPlantParents     <unit_air_plants.lua>
    LuaRules: Loaded gadget:  AirTransport_SeaPickup  <unit_transport_pickup_floating_amphib.lua>
    LuaRules: Loaded gadget:  Aircraft Command    <unit_bomber_command.lua>
    LuaRules: Loaded gadget:  Aircraft Crashing   <unit_aircraft_crash.lua>
    LuaRules: Loaded gadget:  Allow Builder Hold Fire  <unit_allow_builder_hold_fire.lua>
    LuaRules: Loaded gadget:  Area Guard          <cmd_areaguard.lua>
    LuaRules: Loaded gadget:  Blocking Tag Implementation  <feature_blocking_tag_implementation.lua>
    LuaRules: Loaded gadget:  Bomber Dive         <unit_bomber_dive.lua>
    LuaRules: Loaded gadget:  CAI                 <ai_cai.lua>
    LuaRules: Loaded gadget:  CEG Spawner         <dbg_ceg_spawner.lua>
    LuaRules: Loaded gadget:  Capture             <unit_capture.lua>
    LuaRules: Loaded gadget:  Carrier Drones      <unit_carrier_drones.lua>
    LuaRules: Loaded gadget:  Control gunship strafe range  <unit_control_gunship_stafe_range.lua>
    LuaRules: Loaded gadget:  D-Gun Aim Fix       <unit_dgun_aim.lua>
    LuaRules: Loaded gadget:  Decloak when damaged  <unit_decloak_damaged.lua>
    LuaRules: Loaded gadget:  Dev Commands        <dbg_dev_commands.lua>
    LuaRules: Loaded gadget:  Disable /take       <game_disable_take.lua>
    LuaRules: Loaded gadget:  Disable Buildoptions  <unit_disable_buildoptions.lua>
    LuaRules: Loaded gadget:  Disable Features    <unit_disable_features.lua>
    LuaRules: Loaded gadget:  Dont fire at radar  <unit_dont_fire_at_radar.lua>
    LuaRules: Loaded gadget:  DroppedStartPos     <unit_fix_dropped_startpos.lua>
    LuaRules: Loaded gadget:  Factory Anti Slacker  <factory_anti_slacker.lua>
    LuaRules: Loaded gadget:  Fall Damage         <unit_fall_damage.lua>
    LuaRules: Loaded gadget:  Grey Goo            <unit_grey_goo.lua>
    LuaRules: Loaded gadget:  Gunship Strafe Control  <unit_gunship_strafe_control.lua>
    LuaRules: Loaded gadget:  Hide Autorepairlevel Command  <cmd_hide_autorepairlevel.lua>
    LuaRules: Loaded gadget:  Instant Self Destruct  <unit_instant_self_destruct.lua>
    LuaRules: Loaded gadget:  Jumpjets            <unit_jumpjets.lua>
    LuaRules: Loaded gadget:  LUS                 <unit_script.lua>
    LuaRules: Loaded gadget:  Lag Monitor         <game_lagmonitor.lua>
    LuaRules: Loaded gadget:  LupsNanoSpray       <lups_nano_spray.lua>
    LuaRules: Loaded gadget:  Missile Silo Controller  <unit_missilesilo.lua>
    LuaRules: Loaded gadget:  Mod statistics      <mod_stats.lua>
    LuaRules: Loaded gadget:  NoAirNuke           <exp_no_air_nuke.lua>
    LuaRules: Loaded gadget:  One Click Weapon    <unit_oneclick_weapon.lua>
    LuaRules: Loaded gadget:  Orbital Drop        <mission_orbital_drop.lua>
    LuaRules: Loaded gadget:  Overkill Prevention  <unit_overkill_prevention.lua>
    LuaRules: Loaded gadget:  Paralysis           <unit_paralysis_damage.lua>
    LuaRules: Loaded gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    LuaRules: Loaded gadget:  Puppy Handler       <unit_puppy_handler.lua>
    LuaRules: Loaded gadget:  Reclaim HP changer  <unit_reclaim_hp.lua>
    LuaRules: Loaded gadget:  Refuel Pad Handler  <unit_refuel_pad_handler.lua>
    LuaRules: Loaded gadget:  Repair Speed Changer  <unit_repair_speed.lua>
    LuaRules: Loaded gadget:  Resign Gadget       <game_resign.lua>
    LuaRules: Loaded gadget:  Retreat Command     <cmd_retreat.lua>
    LuaRules: Loaded gadget:  Rezz Hp changer + effect  <unit_rezz_hp.lua>
    LuaRules: Loaded gadget:  Self destruct blocker  <unit_self_destruct.lua>
    LuaRules: Loaded gadget:  Set Nano Piece      <unit_setnanopiece.lua>
    LuaRules: Loaded gadget:  Shield Link         <unit_shield_link.lua>
    LuaRules: Loaded gadget:  Shockwaves          <lups_shockwaves.lua>
    LuaRules: Loaded gadget:  Solar Force Closed  <unit_solar_force_closed.lua>
    LuaRules: Loaded gadget:  Spherical LOS       <unit_spherical_los.lua>
    LuaRules: Loaded gadget:  StartSetup          <start_unit_setup.lua>
    LuaRules: Loaded gadget:  Tactical Unit AI_91  <91_unit_tactical_ai.lua>
    LuaRules: Loaded gadget:  Target Priority     <unit_target_priority.lua>
    LuaRules: Loaded gadget:  Target on the move  <unit_target_on_the_move.lua>
    LuaRules: Loaded gadget:  Teleporter          <unit_teleporter.lua>
    LuaRules: Loaded gadget:  Terraformers        <unit_terraform.lua>
    LuaRules: Loaded gadget:  Terrain Texture Handler  <terrain_texture_handler.lua>
    LuaRules: Loaded gadget:  Time slow v2        <unit_timeslow.lua>
    LuaRules: Loaded gadget:  Transport Speed     <unit_transport_speed.lua>
    LuaRules: Loaded gadget:  TransportAIbuttons  <unit_transport_ai_buttons.lua>
    LuaRules: Loaded gadget:  Turn Without Interia  <unit_turn_without_interia.lua>
    LuaRules: Loaded gadget:  Typemap Options     <typemap_options.lua>
    LuaRules: Loaded gadget:  Unit E-Stall Disable  <unit_estall_disable.lua>
    LuaRules: Loaded gadget:  UnitStealth         <unit_stealth.lua>
    LuaRules: Loaded gadget:  Units on fire       <unit_is_on_fire.lua>
    LuaRules: Loaded gadget:  Vertical Swarm      <unit_vertical_swarm.lua>
    LuaRules: Loaded gadget:  Water Effects       <unit_water_effects.lua>
    LuaRules: Loaded gadget:  Weapon Impulse      <weapon_impulse.lua>
    LuaRules: Loaded gadget:  Weapon Timed Replace  <weapon_timed_replace.lua>
    LuaRules: Loaded gadget:  Windmill Control    <unit_windmill_control.lua>
    LuaRules: Loaded gadget:  api_subdir_gadgets.lua  <api_subdir_gadgets.lua>
    LuaRules: Loaded gadget:  astar.lua           <astar.lua>
    LuaRules: Loaded gadget:  init_auto_ready.lua  <init_auto_ready.lua>
    LuaRules: Loaded gadget:  lups_cloak_fx.lua   <lups_cloak_fx.lua>
    LuaRules: Loaded gadget:  lups_thrusters.lua  <lups_thrusters.lua>
    LuaRules: Loaded gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    LuaRules: Loaded gadget:  Center Offset and Growth Scale  <unit_centeroffset.lua>
    LuaRules: Loaded gadget:  Game Over           <game_over.lua>
    LuaRules: Loaded gadget:  King of the Hill    <koth.lua>
    LuaRules: Loaded gadget:  MarketPlace         <unit_marketplace.lua>
    LuaRules: Loaded gadget:  UnitCloakShield     <unit_cloak_shield.lua>
    LuaRules: Loaded gadget:  Chicken control     <chicken_control.lua>
    LuaRules: Loaded gadget:  Area Denial         <weapon_area_damage.lua>
    LuaRules: Loaded gadget:  Single-Hit Weapon   <weapon_single_hit.lua>
    LuaRules: Loaded gadget:  Noexplode Stopper   <weapon_noexplode_stopper.lua>
    LuaRules: Loaded gadget:  Unit Explosion Spawner  <unit_explosion_spawner.lua>
    LuaRules: Loaded gadget:  Awards              <awards.lua>
    LuaRules: Loaded gadget:  Planet Wars Structures  <unit_planetwars.lua>
    LuaRules: Loaded gadget:  Profiler            <dbg_profiler.lua>
    [f=0000000] Initializing gadget
    LuaRules: Loaded gadget:  Zombies!            <unit_zombies.lua>
    [f=0000000] LUARULES-DRAW  (GADGETS)
    >> Loaded gadget:  CustomUnitShaders   <LuaRules/Gadgets/customunitshaders/main.lua>
    >> Loaded gadget:  Engine Taskbar Stuff  <engine_taskbar_stuff.lua>
    >> Loaded gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    >> Loaded gadget:  Ranks API           <api_ranks.lua>
    >> Loaded gadget:  Save/Load           <api_saveload.lua>
    >> Loaded gadget:  Script notification  <unit_script_notification.lua>
    >> Loaded gadget:  UnitMorph           <unit_morph.lua>
    >> Loaded gadget:  91_unit_attributes.lua  <91_unit_attributes.lua>
    >> Loaded gadget:  91_unit_prevent_lab_hax.lua  <91_unit_prevent_lab_hax.lua>
    >> Loaded gadget:  91_unit_priority.lua  <91_unit_priority.lua>
    >> Loaded gadget:  AirTransport_SeaPickup  <unit_transport_pickup_floating_amphib.lua>
    >> Loaded gadget:  Aircraft Command    <unit_bomber_command.lua>
    >> Loaded gadget:  AutoReadyStartpos   <init_auto_ready.lua>
    >> Loaded gadget:  CAI                 <ai_cai.lua>
    >> Loaded gadget:  Capture             <unit_capture.lua>
    >> Loaded gadget:  Dev Commands        <dbg_dev_commands.lua>
    >> Loaded gadget:  LupsNanoSpray       <lups_nano_spray.lua>
    >> Loaded gadget:  One Click Weapon    <unit_oneclick_weapon.lua>
    >> Loaded gadget:  Resign Gadget       <game_resign.lua>
    >> Loaded gadget:  Retreat Command     <cmd_retreat.lua>
    >> Loaded gadget:  Shield Link         <unit_shield_link.lua>
    >> Loaded gadget:  Shockwaves          <lups_shockwaves.lua>
    >> Loaded gadget:  StartSetup          <start_unit_setup.lua>
    >> Loaded gadget:  Teleporter          <unit_teleporter.lua>
    >> Loaded gadget:  Terrain Texture Handler  <terrain_texture_handler.lua>
    >> Loaded gadget:  Thrusters           <lups_thrusters.lua>
    >> Loaded gadget:  TransportAIbuttons  <unit_transport_ai_buttons.lua>
    >> Loaded gadget:  api_subdir_gadgets.lua  <api_subdir_gadgets.lua>
    >> Loaded gadget:  astar.lua           <astar.lua>
    >> Loaded gadget:  cmd_areaguard.lua   <cmd_areaguard.lua>
    >> Loaded gadget:  cmd_hide_autorepairlevel.lua  <cmd_hide_autorepairlevel.lua>
    >> Loaded gadget:  dbg_ceg_spawner.lua  <dbg_ceg_spawner.lua>
    >> Loaded gadget:  factory_anti_slacker.lua  <factory_anti_slacker.lua>
    >> Loaded gadget:  feature_fx.lua      <feature_fx.lua>
    >> Loaded gadget:  game_disable_take.lua  <game_disable_take.lua>
    >> Loaded gadget:  game_lagmonitor.lua  <game_lagmonitor.lua>
    >> Loaded gadget:  game_over.lua       <game_over.lua>
    >> Loaded gadget:  game_perks.lua      <game_perks.lua>
    >> Loaded gadget:  koth.lua            <koth.lua>
    >> Loaded gadget:  lavarise.lua        <lavarise.lua>
    >> Loaded gadget:  lockunits_modoption.lua  <lockunits_modoption.lua>
    >> Loaded gadget:  mex_placement.lua   <mex_placement.lua>
    >> Loaded gadget:  share_control.lua   <share_control.lua>
    >> Loaded gadget:  unit_air_plants.lua  <unit_air_plants.lua>
    >> Loaded gadget:  unit_aircraft_crash.lua  <unit_aircraft_crash.lua>
    >> Loaded gadget:  unit_allow_builder_hold_fire.lua  <unit_allow_builder_hold_fire.lua>
    >> Loaded gadget:  unit_attributes.lua  <unit_attributes.lua>
    >> Loaded gadget:  unit_bomber_dive.lua  <unit_bomber_dive.lua>
    >> Loaded gadget:  unit_carrier_drones.lua  <unit_carrier_drones.lua>
    >> Loaded gadget:  unit_centeroffset.lua  <unit_centeroffset.lua>
    >> Loaded gadget:  unit_control_gunship_stafe_range.lua  <unit_control_gunship_stafe_range.lua>
    >> Loaded gadget:  unit_disable_features.lua  <unit_disable_features.lua>
    >> Loaded gadget:  unit_dont_fire_at_radar.lua  <unit_dont_fire_at_radar.lua>
    >> Loaded gadget:  unit_estall_disable.lua  <unit_estall_disable.lua>
    >> Loaded gadget:  unit_fall_damage.lua  <unit_fall_damage.lua>
    >> Loaded gadget:  unit_fix_dropped_startpos.lua  <unit_fix_dropped_startpos.lua>
    >> Loaded gadget:  unit_icongenerator.lua  <unit_icongenerator.lua>
    >> Loaded gadget:  unit_impulsefloat_toggle.lua  <unit_impulsefloat_toggle.lua>
    >> Loaded gadget:  unit_is_on_fire.lua  <unit_is_on_fire.lua>
    >> Loaded gadget:  unit_marketplace.lua  <unit_marketplace.lua>
    >> Loaded gadget:  unit_mex_overdrive.lua  <unit_mex_overdrive.lua>
    >> Loaded gadget:  unit_missilesilo.lua  <unit_missilesilo.lua>
    >> Loaded gadget:  unit_oremex.lua     <unit_oremex.lua>
    >> Loaded gadget:  unit_overkill_prevention.lua  <unit_overkill_prevention.lua>
    >> Loaded gadget:  unit_planetwars.lua  <unit_planetwars.lua>
    >> Loaded gadget:  unit_prevent_lab_hax.lua  <unit_prevent_lab_hax.lua>
    >> Loaded gadget:  unit_priority.lua   <unit_priority.lua>
    >> Loaded gadget:  unit_rezz_hp.lua    <unit_rezz_hp.lua>
    >> Loaded gadget:  unit_self_destruct.lua  <unit_self_destruct.lua>
    >> Loaded gadget:  unit_solar_force_closed.lua  <unit_solar_force_closed.lua>
    >> Loaded gadget:  unit_spherical_los.lua  <unit_spherical_los.lua>
    >> Loaded gadget:  unit_stealth.lua    <unit_stealth.lua>
    >> Loaded gadget:  unit_target_on_the_move.lua  <unit_target_on_the_move.lua>
    >> Loaded gadget:  unit_target_priority.lua  <unit_target_priority.lua>
    >> Loaded gadget:  unit_terraform.lua  <unit_terraform.lua>
    >> Loaded gadget:  unit_transport_speed.lua  <unit_transport_speed.lua>
    >> Loaded gadget:  unit_turn_without_interia.lua  <unit_turn_without_interia.lua>
    >> Loaded gadget:  unit_water_effects.lua  <unit_water_effects.lua>
    >> Loaded gadget:  unit_windmill_control.lua  <unit_windmill_control.lua>
    >> Loaded gadget:  unit_zombies.lua    <unit_zombies.lua>
    >> Loaded gadget:  weapon_area_damage.lua  <weapon_area_damage.lua>
    >> Loaded gadget:  weapon_impulse.lua  <weapon_impulse.lua>
    >> Loaded gadget:  weapon_noexplode_stopper.lua  <weapon_noexplode_stopper.lua>
    >> Loaded gadget:  weapon_single_hit.lua  <weapon_single_hit.lua>
    >> Loaded gadget:  UnitCloakShield     <unit_cloak_shield.lua>
    >> Loaded gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    >> Loaded gadget:  Chicken control     <chicken_control.lua>
    >> Loaded gadget:  Unit Explosion Spawner  <unit_explosion_spawner.lua>
    >> Loaded gadget:  Lups                <lups_wrapper.lua>
    >> Loaded gadget:  Awards              <awards.lua>
    >> Loaded gadget:  Chicken Spawner     <unit_spawner.lua>
    >> Loaded gadget:  Profiler            <dbg_profiler.lua>
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] Loading LuaGaia
    [f=0000000] Parsing map_metal_layout.lua
    [f=0000000] Dynamic metal gadget was succesfully loaded (synced)
    [f=0000000] Loaded UNSYNCED gadget:  DualFog             <gui_dualfog_gadget.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Precipitation       <precipitation.lua>
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Loading last game win data
    [f=0000000] Resetting win data
    [f=0000000] Last game player count: 1, This game player count: 1
    [f=0000000] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=0000000] Player and team counts match, continuing
    [f=0000000] ivand was in last game but is now absent, resetting scores
    [f=0000000] Failed to load: helper2.lua  (Include() could not load 'LuaUI/Widgets/GridManager.lua')
    [f=0000000] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=0000000] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=0000000] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=0000000] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=0000000] Hardware mouse-cursor is enabled!
    [f=0000000] Set "shadows" config-parameter to 2
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set maximum particles to: 20000
    [f=0000000] Set UnitLodDist to 9999
    [f=0000000] Set UnitIconDist to 140
    [f=0000000] model shaders is enabled!
    [f=0000000] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=0000000] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=0000000] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=0000000] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=0000000] Mexspot Fetcher fetching
    [f=0000000] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=0000000] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=0000000] Loaded widget:  Noises              <snd_noises.lua>
    [f=0000000] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=0000000] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=0000000] Loaded widget:  1v1 Attrition Scoreboard  <gui_attrition_counter.lua>
    [f=0000000] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=0000000] Loaded widget:  Export Heightmap    <ExportHeightMap.lua>
    [f=0000000] Loaded widget:  TeamCommEnds & Lavarise indicator  <gui_teamcommends.lua>
    [f=0000000] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=0000000] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=0000000] Loaded widget:  Win Counter         <win_counter.lua>
    [f=0000000] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [f=0000000] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=0000000] Loaded widget:  Chili CTF GUI       <gui_chili_ctf.lua>
    [f=0000000] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=0000000] Loaded widget:  Autoquit            <autoquit.lua>
    [f=0000000] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=0000000] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=0000000] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=0000000] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=0000000] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=0000000] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=0000000] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=0000000] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=0000000] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=0000000] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=0000000] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=0000000] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=0000000] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=0000000] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=0000000] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=0000000] Loaded widget:  Command Indicator (beta)  <gui_command_indicator.lua>
    [f=0000000] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=0000000] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=0000000] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=0000000] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=0000000] Loaded widget:  Chili Resource Bars Classic  <gui_chili_resource_bars.lua>
    [f=0000000] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=0000000] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=0000000] Loaded widget:  News Ticker         <gui_news_ticker.lua>
    [f=0000000] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=0000000] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=0000000] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=0000000] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=0000000] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=0000000] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=0000000] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=0000000] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=0000000] Loaded widget:  Outlaw On           <OutlawOn.lua>
    [f=0000000] Loaded widget:  Accidental commands blocker  <accidental_commands_blocker.lua>
    [f=0000000] Loaded widget:  Replace Air Bomber Move order  <air_replace_move.lua>
    [f=0000000] Loaded widget:  Unit self-reclaim   <SelfReclaim.lua>
    [f=0000000] Loaded widget:  Terraform automation  <terraform_automation.lua>
    [f=0000000] Loaded widget:  AI Assistant3.4     <helper3_4.lua>
    [f=0000000] Loaded widget:  Unit Marker Zero-K (ivand)  <unit_marker_ak.lua>
    [f=0000000] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=0000000] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=0000000] <Replay control buttons> Live mode. Widget removed.
    [f=0000000] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=0000000] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=0000000] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=0000000] Loaded widget:  Announcer           <gui_announcer.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  MessageBoxes        <mission_messagebox.lua>
    [f=0000000] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=0000000] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=0000000] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=0000000] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=0000000] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=0000000] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=0000000] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=0000000] Loaded widget:  Ore mexes!          <gui_oremex.lua>
    [f=0000000] Marketplace and Bounty Icons: Widget removed.
    [f=0000000] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=0000000] Loaded widget:  Lua Metal Spots V4.2  <luametalspots-v4_2.lua>
    [f=0000000] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=0000000] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=0000000] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=0000000] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=0000000] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=0000000] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=0000000] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=0000000] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=0000000] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=0000000] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=0000000] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=0000000] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=0000000] Loaded widget:  Vertical Line on Radar Dots  <gui_vertlineaid.lua>
    [f=0000000] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=0000000] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=0000000] Loaded widget:  Chili Window Packer  <gui_chili_windowpacker.lua>
    [f=0000000] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=0000000] Chili: tried to add multiple times "scrollpanel5" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel6" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel7" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel8" to "Player List"!
    [f=0000000] Loaded widget:  Chili Deluxe Player List - Alpha 2.02  <gui_chili_deluxeplayerlist.lua>
    [f=0000000] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=0000000] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=0000000] Loaded widget:  Chili FactoryPanel  <gui_chili_facpanel.lua>
    [f=0000000] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=0000000] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=0000000] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [f=0000000] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=0000000] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=0000000] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=0000000] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=0000000] ivand2 ENABLE TTS
    [f=0000000] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=0000000] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=0000000] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=0000000] Writing last game win data
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=3500942692
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=3500942716
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (188ms, checksum 440a33db)
    [f=0000000] Loading Skirmish AIs
    [f=0000000] Mex Placement Initialised with 38 spots.
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] GameID: 90741955a7310178a710113740c2d64e
    [f=0000000] Connection attempt from ivand2
    [f=0000000]  -> Version: 98.0.1-451-g0804ae1 develop
    [f=0000000] Epicmenu: Switching to Total Annihilation camera mode
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Skirmish AI "Bot_1" (ID:0, Short-Name:"Null AI", Version:"") took over control of team 1
    [f=0000000] <ivand2> Allies: I choose: Strike Trainer!
    [f=0000000] Chili: tried to add multiple times "scrollpanel10" to "Player List"!
    [f=0001501] <Unit Marker>: Your commander is upgraded.
    [f=0003525] !transmitlobby @voice@buildUnit@add;corned;Mason
    [f=0003525] !transmitlobby @voice@buildUnit@add;corfav;Dart
    [f=0003525] !transmitlobby @voice@buildUnit@add;corgator;Scorcher
    [f=0003525] !transmitlobby @voice@buildUnit@add;cormist;Slasher
    [f=0003525] !transmitlobby @voice@buildUnit@add;corlevlr;Leveler
    [f=0003525] !transmitlobby @voice@buildUnit@add;corraid;Ravager
    [f=0003525] !transmitlobby @voice@buildUnit@add;capturecar;Dominatrix
    [f=0003525] !transmitlobby @voice@buildUnit@add;corgarp;Wolverine
    [f=0003525] !transmitlobby @voice@buildUnit@add;armmerl;Impaler
    [f=0003525] !transmitlobby @voice@buildUnit@add;vehaa;Crasher
    [f=0003525] !transmitlobby @voice@buildUnit@reload
    [f=0013680] !transmitlobby @voice@buildUnit@remove;corned
    [f=0013680] !transmitlobby @voice@buildUnit@remove;corfav
    [f=0013680] !transmitlobby @voice@buildUnit@remove;corgator
    [f=0013680] !transmitlobby @voice@buildUnit@remove;cormist
    [f=0013680] !transmitlobby @voice@buildUnit@remove;corlevlr
    [f=0013680] !transmitlobby @voice@buildUnit@remove;corraid
    [f=0013680] !transmitlobby @voice@buildUnit@remove;capturecar
    [f=0013680] !transmitlobby @voice@buildUnit@remove;corgarp
    [f=0013680] !transmitlobby @voice@buildUnit@remove;armmerl
    [f=0013680] !transmitlobby @voice@buildUnit@remove;vehaa
    [f=0013680] !transmitlobby @voice@buildUnit@reload
    [f=0024607] [InitOpenGL] video mode set to 1918x1078:24bit @60Hz 
    [f=0024607] Statistics for RectangleOptimizer: 0%
    [f=0024646] <autoquit> Automatically exiting in 10 seconds. Move mouse to cancel.
    [f=0024646] Chili: tried to add multiple times "scrollpanel11" to "Player List"!
    [f=0024646] <autoquit> Autoquit sending quit command.
    [f=0024646] [QuitAction] user exited to system
    [f=0024646] [SpringApp::ShutDown][1]
    [f=0024646] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0024646] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0024646] [SpringApp::ShutDown][2]
    [f=0024646] [~CGame]1]
    [f=0024646] [KillLua][1]
    [f=0024646] [KillLua][2]
    [f=0024646] Start gadgetHandler:Shutdown
    [f=0024646] Shutdown - ShareControl
    [f=0024646] Shutdown - UnitMorph
    [f=0024646] Shutdown - LupsNanoSpray
    [f=0024646] Shutdown - Puppy Handler
    [f=0024646] Shutdown - Terrain Texture Handler
    [f=0024646] Shutdown - UnitCloakShield
    [f=0024646] End gadgetHandler:Shutdown
    [f=0024646] Start gadgetHandler:Shutdown
    [f=0024646] Shutdown - UnitMorph
    [f=0024646] Shutdown - Shockwaves
    [f=0024646] Shutdown - UnitCloakShield
    [f=0024646] Shutdown - Lups Cloak FX
    [f=0024646] Shutdown - Lups
    [f=0024646] End gadgetHandler:Shutdown
    [f=0024646] [KillLua][3]
    [f=0024646] [KillLua][4]
    [f=0024646] [KillMisc][1]
    [f=0024646] [KillMisc][2]
    [f=0024646] [KillRendering][1]
    [f=0024646] Statistics for RectangleOptimizer: 0%
    [f=0024646] [KillInterface][1]
    [f=0024646] Start widgetHandler:Shutdown
    [f=0024646] Shutdown - SaveOrderList Complete
    [f=0024646] Writing last game win data
    [f=0024646] Shutdown - SaveConfigData Complete
    [f=0024646] Shutdown Widget - EPIC Menu
    [f=0024646] Shutdown Widget - Chili Widget Selector
    [f=0024646] Shutdown Widget - Chili Minimap
    [f=0024646] Shutdown Widget - Local Team Colors
    [f=0024646] Shutdown Widget - Noises
    [f=0024646] Shutdown Widget - HealthBars
    [f=0024646] Shutdown Widget - Unit Icons
    [f=0024646] Shutdown Widget - 1v1 Attrition Scoreboard
    [f=0024646] Shutdown Widget - Win Counter
    [f=0024646] Shutdown Widget - Darkening
    [f=0024646] Shutdown Widget - Highlight Geos
    [f=0024646] Shutdown Widget - Mex Placement Handler
    [f=0024646] Shutdown Widget - MinimapEvents
    [f=0024646] Shutdown Widget - CameraShake
    [f=0024646] Shutdown Widget - Command Indicator (beta)
    [f=0024646] Shutdown Widget - Local Widgets Config
    [f=0024646] Shutdown Widget - Chili EndGame Window
    [f=0024646] Shutdown Widget - Chili Resource Bars Classic
    [f=0024646] Shutdown Widget - Chili Selections & CursorTip
    [f=0024646] Shutdown Widget - Context Menu
    [f=0024646] Shutdown Widget - Startup Info and Selector
    [f=0024646] Shutdown Widget - Transport AI
    [f=0024646] Shutdown Widget - Accidental commands blocker
    [f=0024646] Shutdown Widget - Terraform automation
    [f=0024646] Shutdown Widget - Announcer
    [f=0024646] Shutdown Widget - Attack AoE
    [f=0024646] Shutdown Widget - MessageBoxes
    [f=0024646] Shutdown Widget - UnitShapes
    [f=0024646] Shutdown Widget - Selection Send
    [f=0024646] Shutdown Widget - Units on Fire
    [f=0024646] Shutdown Widget - LupsManager
    [f=0024646] Shutdown Widget - Newton Firezone
    [f=0024646] Shutdown Widget - Receive Units Indicator
    [f=0024646] Shutdown Widget - Chili Pro Console
    [f=0024646] Shutdown Widget - Chili Deluxe Player List - Alpha 2.02
    [f=0024646] Shutdown Widget - Chili Framework
    [f=0024646] Shutdown Widget - Lups
    [f=0024646] Shutdown Widget - Chili Core Selector
    [f=0024646] Shutdown Widget - Pause Screen
    [f=0024646] Shutdown Widget - Text To Speech Control
    [f=0024646] ivand2 DISABLE TTS
    [f=0024646] Shutdown Widget - Chili Integral Menu
    [f=0024646] Shutdown Widget - Lasso Terraform GUI
    [f=0024646] End widgetHandler:Shutdown
    [f=0024646] [KillInterface][2]
    [f=0024646] [KillSimulation][1]
    [f=0024646] [KillSimulation][2]
    [f=0024646] [CCollisionHandler] dis-/continuous tests: 0/53243620
    [f=0024646] [KillSimulation][3]
    [f=0024646] [KillSimulation][4]
    [f=0024646] [~CPathCache(24x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0024646] [~CPathCache(24x24)] cacheHits=2 hitPercentage=22% numHashColls=0 maxCacheSize=2
    [f=0024646] [~CPathCache(96x96)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0024646] [~CPathCache(96x96)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0024646] Statistics for RectangleOptimizer: 0%
    [f=0024646] Statistics for RectangleOptimizer: 0%
    [f=0024646] [KillSimulation][5]
    [f=0024646] [~CGame][2]
    [f=0024646] [~CGame][3]
    [f=0024646] [SpringApp::ShutDown][3]
    [f=0024646] Statistics for UDP connection:
    Received: 138526 bytes in 6603 packets (20.9793 bytes/package)
    Sent: 434287 bytes in 13621 packets (31.8836 bytes/package)
    Relative protocol overhead: 0 up, 0.285997 down
    40 incoming chunks dropped, 15 outgoing chunks resent
    
    [f=0024646] Writing demo: E:\Games\Spring\demos\20150330_190813_Quicksilver 1_98.0.1-451-g0804ae1 develop.sdf
    [f=0024646] [SpringApp::ShutDown][4]
    [f=0024646] [SpringApp::ShutDown][5]
    [f=0024646] [SpringApp::ShutDown][6]
    [f=0024646] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_CONNECT DENY  94.23.171.71 8864
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog::Uninstall][1] hangDetectorThread=00000000
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    
    txt file icon infolog_adv_shading_shadows-2.txt (43,190 bytes) 2015-03-30 21:05 +
  • txt file icon infolog_adv_shading_shadows-0.txt (31,820 bytes) 2015-03-30 21:05 -
    [ParseCmdLine] command-line args: "E:\Games\Spring\engine\98.0.1-459-g8cc5c0d\spring.exe "E:\Games\Spring\demos\20150323_160628_Iced%20Coffee%20v4_98.0.1-459-g8cc5c0d%20develop.sdf" --config "E:\Games\Spring\springsettings.cfg""
    Using configuration source: "E:\Games\Spring\springsettings.cfg"
    ============== <User Config> ==============
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    GroundDecals = 3
    GroundDetail = 102
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Tropical
    LastSelectedMod = Zero-K $VERSION
    LastSelectedScript = Commanders
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ReflectiveWater = 4
    ScreenshotCounter = 24
    ScrollWheelSpeed = -25
    Shadows = 0
    ShowClock = 0
    ShowPlayerInfo = 0
    SmoothLines = 1
    SpringData = E:\Games\Spring\
    TreeRadius = 1000
    UnitIconDist = 140
    UnitLodDist = 9999
    UseEFX = 0
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    WindowedEdgeMove = 0
    XResolution = 1920
    YResolution = 1080
    snd_volmaster = 13
    snd_volmusic = 34
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 98.0.1-459-g8cc5c0d develop
    Build Date & Time: Mar 23 2015 01:19:45
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM) i7 CPU         860  @ 2.80GHz; 16375MB RAM, 24565MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 8
    [CMyMath::Init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1920x1080:
    	640x480, 720x480, 720x576, 800x600, 1024x768, 1152x648, 1152x864, 1280x720, 1280x768, 1280x800, 1280x960, 1280x1024, 1360x768, 1360x1024, 1366x768, 1400x1050, 1440x900, 1600x900, 1600x1200, 1680x1050, 1776x1000, 1920x1080
    SDL version:  linked 2.0.3; compiled 2.0.2
    GL version:   4.4.13283 Compatibility Profile Context 14.501.1003.0
    GL vendor:    ATI Technologies Inc.
    GL renderer:  AMD Radeon HD 5800 Series
    GLSL version: 4.40
    GLEW version: 1.5.8
    Video RAM:    unknown
    SwapInterval: 0
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 91 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [WatchDog::Install] disabled
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    [DataDirs] Isolation Mode!
    Using read-write data directory: E:\Games\Spring\
    Using read-only data directory: C:\Users\AK\Documents\My Games\Spring\
    Using read-only data directory: E:\Games\Spring\engine\98.0.1-459-g8cc5c0d\
    Using read-only data directory: E:\Games\Spring\engine\
    Scanning: E:\Games\Spring\engine\98.0.1-459-g8cc5c0d\base
    Scanning: E:\Games\Spring\maps
    Scanning: E:\Games\Spring\games
    Scanning: E:\Games\Spring\packages
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]               SPDIF Interface (TX1) (VIA High Definition Audio)
    [f=0000000] [Sound]               HD Audio HDMI out (VIA High Definition Audio)
    [f=0000000] [Sound]               Speakers (VIA High Definition Audio)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: no
    [f=0000000] [Sound]   Max Sounds: 32
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 252
    [f=0000000] Hosting on: localhost:8452
    [f=0000000] Connecting to local server
    [f=0000000] [ReadDataFromDemo] pre-scanning demo file for game data...
    [f=0000000] [StartServerForDemo] starting GameServer
    [f=0000000] [StartServerForDemo] started GameServer
    [f=0000000] PreGame::ReadDataFromDemo: 29 ms
    [f=0000000] [InitOpenGL] video mode set to 1920x1080:24bit @60Hz 
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Iced Coffee v4.3
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Zero-K v1.3.3.6 (archive: 6d9c0237d6df51d58cec88c4fe2f11cc.sdp)
    [f=0000000] Warning: Incompatible map-checksum: Checksum of Iced Coffee v4.3 (checksum 0x27b3c9e3) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] Warning: Incompatible game-checksum: Checksum of 6d9c0237d6df51d58cec88c4fe2f11cc.sdp (checksum 0x1601ac81) differs from the host's copy (checksum 0x1). This may be caused by a corrupted download or there may even be 2 different versions in circulation. Make sure you and the host have installed the chosen archive and its dependencies and consider redownloading it.
    [f=0000000] PreGame::GameDataReceived: 36 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 4 (team 0, allyteam 1)
    [f=0000000] Warning: MapInfo.lua: Incorrect value "groundShadowDensity=1.300000"! Clamping to 0..1 range!!
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Found new widget "WM Stuff"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      WM Stuff               <wm.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (25 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.461000
    [f=0000000] Game::LoadDefs (GameData): 561 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound] Warning: Sound incomingchat is missing file tag (ignoring)
    [f=0000000] [Sound]  parsed 312 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 14 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 22 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 5
    [f=0000000] Warning: [CDamageArrayHandler] UnitDef "chicken" in ArmorDef "chicken" already belongs to ArmorDef category 1!
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Warning: factoryhover: Given yardmap requires 1 extra char(s)!
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] FBO::maxSamples: 8
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 2 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] yellowdisarmtrail: Unknown tag explspike::ttl
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 116 ms
    [f=0000000] [Sound] Error: Unable to open audio file: MultiSelect
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: MultiSelect
    [f=0000000] Game::LoadInterface (Console): 9 ms
    [f=0000000] [Sound] Error: Unable to open audio file: FailedCommand
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: FailedCommand
    [f=0000000] Loading LuaRules
    [f=0000000] Setting morph for custom comms for player: 0
    [f=0000000] Setting morph for custom comms for player: 2
    [f=0000000] [Planet Wars Structures] Warning: Planetwars warning: Planetwars data entry in modoption is empty or in invalid format
    [f=0000000] Initializing gadget
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] LUARULES-DRAW  (GADGETS)
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Loading last game win data
    [f=0000000] Resetting win data
    [f=0000000] Last game player count: 2, This game player count: 2
    [f=0000000] Last game allyTeam count: 3, This game allyTeam count: 3
    [f=0000000] Player and team counts match, continuing
    [f=0000000] Testing last game's team 1 mapped to this game's team 1
    [f=0000000] Testing last game's team 0 mapped to this game's team 0
    [f=0000000] All players and teams match from last game, using last game's scores as base
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager.lua  ([string "LuaUI\Widgets\EcoManager.lua"]:44: unexpected symbol near '=')
    [f=0000000] [cawidgets.lua] Error: Failed to load: EcoManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: GridManager2.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: JobsManager.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: MyUtils.lua  (no GetInfo() call)
    [f=0000000] [cawidgets.lua] Error: Failed to load: TasksManager.lua  (no GetInfo() call)
    [f=0000000] Failed to load: helper2.lua  (Include() could not load 'LuaUI/Widgets/GridManager.lua')
    [f=0000000] [cawidgets.lua] Error: Failed to load: hw6.lua  ([string "LuaUI\Widgets\hw6.lua"]:49: '(' expected near ':')
    [f=0000000] [cawidgets.lua] Error: Failed to load: old_snippets.lua  (no GetInfo() call)
    [f=0000000] Loaded API widget:  Cluster Detection   <api_cluster_detection.lua>
    [f=0000000] Loaded API widget:  Shared Functions    <api_shared_functions.lua>
    [f=0000000] Loaded API widget:  Modular Comm Info   <api_modularcomms.lua>
    [f=0000000] Loaded API widget:  Lag (AFK) monitor   <api_lag_monitor.lua>
    [f=0000000] Loaded API widget:  Chili Framework     <api_chili.lua>
    [f=0000000] Loaded API widget:  Lups                <lups_wrapper.lua>
    [f=0000000] Hardware mouse-cursor is enabled!
    [f=0000000] Ground-decals rendering is disabled!
    [f=0000000] Set maximum particles to: 20000
    [f=0000000] Set UnitLodDist to 9999
    [f=0000000] Set UnitIconDist to 140
    [f=0000000] model shaders is enabled!
    [f=0000000] Loaded widget:  EPIC Menu           <gui_epicmenu.lua>
    [f=0000000] Loaded widget:  Custom Cursor Sets  <gui_customcursorsets.lua>
    [f=0000000] Loaded widget:  Chili Widget Selector  <gui_chili_widgetselector.lua>
    [f=0000000] Loaded widget:  Chili Minimap       <gui_chili_minimap.lua>
    [f=0000000] Mexspot Fetcher fetching
    [f=0000000] Loaded widget:  Mexspot Fetcher     <wg_mexspot_fetcher.lua>
    [f=0000000] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [f=0000000] Loaded widget:  Noises              <snd_noises.lua>
    [f=0000000] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [f=0000000] Loaded widget:  Unit Icons          <unit_icons.lua>
    [f=0000000] <Attrition>:Running in spectator state.
    [f=0000000] Loaded widget:  1v1 Attrition Scoreboard  <gui_attrition_counter.lua>
    [f=0000000] Loaded widget:  Chili Vote Display  <gui_chili_vote.lua>
    [f=0000000] Loaded widget:  Export Heightmap    <ExportHeightMap.lua>
    [f=0000000] Loaded widget:  TeamCommEnds & Lavarise indicator  <gui_teamcommends.lua>
    [f=0000000] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [f=0000000] Loaded widget:  EndGame Stats       <gui_chili_endgraph.lua>
    [f=0000000] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [f=0000000] Loaded widget:  Win Counter         <win_counter.lua>
    [f=0000000] Loaded widget:  Initial Queue ZK    <unit_initial_queue.lua>
    [f=0000000] Loaded widget:  Chili CTF GUI       <gui_chili_ctf.lua>
    [f=0000000] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [f=0000000] Loaded widget:  Autoquit            <autoquit.lua>
    [f=0000000] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [f=0000000] Loaded widget:  Constructor Auto Assist  <unit_factory_guard.lua>
    [f=0000000] Loaded widget:  Darkening           <gui_darkening.lua>
    [f=0000000] Loaded widget:  Highlight Geos      <gui_highlight_geos.lua>
    [f=0000000] Loaded widget:  Keep Target         <cmd_keep_target.lua>
    [f=0000000] Loaded widget:  MetalFeatures       <gui_metal_features.lua>
    [f=0000000] Loaded widget:  Mex Placement Handler  <cmd_mex_placement.lua>
    [f=0000000] Loaded widget:  Ferry Points        <cmd_ferry_points.lua>
    [f=0000000] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [f=0000000] Loaded widget:  Decoration Handler  <unit_decoration_handler.lua>
    [f=0000000] Loaded widget:  Missile Silo Range  <missilesilo_range.lua>
    [f=0000000] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [f=0000000] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [f=0000000] Loaded widget:  Spectate Selected Team  <gui_spectate_selected_team.lua>
    [f=0000000] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [f=0000000] Loaded widget:  Voice Assistant     <unit_voice.lua>
    [f=0000000] Loaded widget:  Defense Range Zero-K  <gui_defenserange.lua>
    [f=0000000] Loaded widget:  CameraShake         <camera_shake.lua>
    [f=0000000] Loaded widget:  Persistent Build Spacing  <gui_persistent_build_spacing.lua>
    [f=0000000] Loaded widget:  Show All Commands v2  <unit_showallcommands_2.lua>
    [f=0000000] Loaded widget:  Showeco and Grid Drawer  <gui_showeco_action.lua>
    [f=0000000] Loaded widget:  Command Indicator (beta)  <gui_command_indicator.lua>
    [f=0000000] Loaded widget:  Area Attack Tweak   <cmd_area_attack_tweak.lua>
    [f=0000000] Loaded widget:  Chili Rejoining Progress Bar  <gui_chili_rejoin_progress.lua>
    [f=0000000] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [f=0000000] Loaded widget:  Chili EndGame Window  <gui_chili_endgamewindow.lua>
    [f=0000000] Loaded widget:  Chili Resource Bars Classic  <gui_chili_resource_bars.lua>
    [f=0000000] Loaded widget:  Chili Selections & CursorTip  <gui_chili_selections_and_cursortip.lua>
    [f=0000000] Loaded widget:  Haven Handler       <gui_havens.lua>
    [f=0000000] Loaded widget:  News Ticker         <gui_news_ticker.lua>
    [f=0000000] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [f=0000000] Spectator mode detected. Removed: Auto First Build Facing
    [f=0000000] Loaded widget:  Auto First Build Facing  <init_autofirstbuildfacing.lua>
    [f=0000000] Loaded widget:  SmoothCam           <camera_smoothcam.lua>
    [f=0000000] Loaded widget:  Comm-n-Elo Startpos. Info  <init_startpointelocom_info.lua>
    [f=0000000] Loaded widget:  Frame Gap Logger    <dbg_frame_gap_logger.lua>
    [f=0000000] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [f=0000000] <Startup Info and Selector> Spectator mode, Junior forced, or replay. Widget removed.
    [f=0000000] Loaded widget:  Startup Info and Selector  <init_startup_info_selector.lua>
    [f=0000000] Loaded widget:  Auto Group          <unit_auto_group.lua>
    [f=0000000] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [f=0000000] <Stockpiler>: disabled for spectators
    [f=0000000] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [f=0000000] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [f=0000000] <Outlaw On> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Outlaw On           <OutlawOn.lua>
    [f=0000000] <Accidental commands blocker> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Accidental commands blocker  <accidental_commands_blocker.lua>
    [f=0000000] <Replace Air Bomber Move order> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Replace Air Bomber Move order  <air_replace_move.lua>
    [f=0000000] [cawidgets.lua] Error: Error in Initialize(): [string "LuaUI\Widgets\SelfReclaim.lua"]:28: attempt to concatenate local 'widgetname' (a nil value)
    [f=0000000] [cawidgets.lua] Error: Removed widget: Unit self-reclaim
    [f=0000000] Loaded widget:  Unit self-reclaim   <SelfReclaim.lua>
    [f=0000000] <Terraform automation> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Terraform automation  <terraform_automation.lua>
    [f=0000000] <AI Assistant3.4> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  AI Assistant3.4     <helper3_4.lua>
    [f=0000000] <Unit Marker Zero-K (ivand)> Spectator mode or replay. Widget removed.
    [f=0000000] Loaded widget:  Unit Marker Zero-K (ivand)  <unit_marker_ak.lua>
    [f=0000000] Loaded widget:  Attack Warning      <unit_attack_warning.lua>
    [f=0000000] Loaded widget:  Start Point Remover & Comm Selector  <init_start_point_remover.lua>
    [f=0000000] Loaded widget:  PlanetWars Info     <gui_planetwars_info.lua>
    [f=0000000] Loaded widget:  Replay control buttons  <gui_replay_controls.lua>
    [f=0000000] Loaded widget:  Announcer           <gui_announcer.lua>
    [f=0000000] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [f=0000000] Loaded widget:  Chili Custom Modoptions Info  <gui_custommodoptions_info.lua>
    [f=0000000] Loaded widget:  MessageBoxes        <mission_messagebox.lua>
    [f=0000000] Loaded widget:  Objectives          <mission_objectives.lua>
    [f=0000000] Loaded widget:  UnitNoStuckInFactory  <unit_nostuck_infactory.lua>
    [f=0000000] Loaded widget:  Unit Start State    <unit_start_state.lua>
    [f=0000000] Loaded widget:  Select Keys         <gui_selectkeys.lua>
    [f=0000000] Loaded widget:  Recorder (Save)     <dbg_recorder_save.lua>
    [f=0000000] Loaded widget:  UnitShapes          <unit_shapes.lua>
    [f=0000000] Loaded widget:  Commands FX         <gfx_commands_fx.lua>
    [f=0000000] Loaded widget:  Ore mexes!          <gui_oremex.lua>
    [f=0000000] Marketplace and Bounty Icons: Widget removed.
    [f=0000000] Loaded widget:  Bounty & Marketplace Icons (experimental)  <unit_bounty_marketplace_icons.lua>
    [f=0000000] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [f=0000000] Loaded widget:  CEG Spawner         <dbg_ceg_spawner.lua>
    [f=0000000] Loaded widget:  CommandInsert       <cmd_commandinsert.lua>
    [f=0000000] Loaded widget:  Gadget Icons        <unit_gadget_icons.lua>
    [f=0000000] Loaded widget:  Rank Icons 2        <unit_rank_icons.lua>
    [f=0000000] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [f=0000000] Loaded widget:  State Icons         <unit_state_icons.lua>
    [f=0000000] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [f=0000000] <Building Starter>: disabled for spectators
    [f=0000000] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [f=0000000] <Cloaker Guard>: disabled for spectators
    [f=0000000] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [f=0000000] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [f=0000000] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [f=0000000] Newton Firezone disabled for spectator.
    [f=0000000] Loaded widget:  Newton Firezone     <cmd_newton_firezone.lua>
    [f=0000000] Loaded widget:  Receive Units Indicator  <gui_recv_indicator.lua>
    [f=0000000] Loaded widget:  Vertical Line on Radar Dots  <gui_vertlineaid.lua>
    [f=0000000] Loaded widget:  Auto-toggle false color vision  <gui_auto_engine_falsecolor.lua>
    [f=0000000] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [f=0000000] Loaded widget:  Chili Window Packer  <gui_chili_windowpacker.lua>
    [f=0000000] Loaded widget:  Chili Pro Console   <gui_chili_proconsole_test.lua>
    [f=0000000] Chili: tried to add multiple times "scrollpanel5" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel6" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel7" to "Player List"!
    [f=0000000] Chili: tried to add multiple times "scrollpanel8" to "Player List"!
    [f=0000000] Loaded widget:  Chili Deluxe Player List - Alpha 2.02  <gui_chili_deluxeplayerlist.lua>
    [f=0000000] Loaded widget:  HUD Presets         <gui_hud_presets.lua>
    [f=0000000] Loaded widget:  Image Preloader     <dbg_img_preload.lua>
    [f=0000000] Loaded widget:  Chili FactoryPanel  <gui_chili_facpanel.lua>
    [f=0000000] Loaded widget:  Chili Core Selector  <gui_chili_core_selector.lua>
    [f=0000000] Loaded widget:  Default Group Recall Fix  <gui_group_recall_fix.lua>
    [f=0000000] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [f=0000000] Loaded widget:  Pause Screen        <gui_pausescreen.lua>
    [f=0000000] Loaded widget:  Restricted Zones    <gui_restrictedzones.lua>
    [f=0000000] Loaded widget:  Jumpjet GUI         <gui_jumpjets.lua>
    [f=0000000] Loaded widget:  CustomFormations2   <cmd_customformations2.lua>
    [f=0000000] Loaded widget:  GC at >300MB        <dbg_forcegc_spring97.lua>
    [f=0000000] UnnamedPlayer (spec) DISABLE TTS
    [f=0000000] Loaded widget:  Text To Speech Control  <snd_text_to_speech.lua>
    [f=0000000] Loaded widget:  Chili Integral Menu  <gui_chili_integral_menu.lua>
    [f=0000000] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [f=0000000] Writing last game win data
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=957011862
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=957011886
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (22ms, checksum 57870e86)
    [f=0000000] Mex Placement Initialised with 22 spots.
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] Opening demofile E:\Games\Spring\demos\20150323_160628_Iced%20Coffee%20v4_98.0.1-459-g8cc5c0d%20develop.sdf
    [f=0000000] Connection attempt from UnnamedPlayer (spec)
    [f=0000000]  -> Version: 98.0.1-459-g8cc5c0d develop
    [f=0000000]  -> Connection established (given id 4)
    [f=0000000] Spectator UnnamedPlayer (spec) finished loading and is now ingame
    [f=0000000] Epicmenu: Switching to Total Annihilation camera mode
    [f=0000000] <Ghost Site> Spectator mode. Widget removed.
    [f=0000000] Skipping pregame chatter
    [f=0000000] Beginning demo playback
    [f=0000000] GameID: f42b105575d9551e08a58d2a40c2d64e
    [f=0000000] Connection attempt from olzorenko
    [f=0000000]  -> Version: 98.0.1-459-g8cc5c0d develop
    [f=0000000]  -> Connection established (given id 3)
    [f=0000000] Connection attempt from godzillaxd
    [f=0000000]  -> Version: 98.0.1-459-g8cc5c0d develop
    [f=0000000]  -> Connection established (given id 1)
    [f=0000000] Connection attempt from Anir
    [f=0000000]  -> Version: 98.0.1-459-g8cc5c0d develop
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Connection attempt from Shata1soN
    [f=0000000]  -> Version: 98.0.1-459-g8cc5c0d develop
    [f=0000000]  -> Connection established (given id 2)
    [f=0000000] <Anir> Allies: I choose: Kabo der Bauarbeiter!
    [f=0000000] <Shata1soN> Allies: I choose: Find me!
    [f=0000000] Chili: tried to add multiple times "scrollpanel10" to "Player List"!
    [f=0000008] !transmitlobby @voice@buildUnit@add;arm_spider;Weaver
    [f=0000008] !transmitlobby @voice@buildUnit@add;armflea;Flea
    [f=0000008] !transmitlobby @voice@buildUnit@add;spiderassault;Hermit
    [f=0000008] !transmitlobby @voice@buildUnit@add;arm_venom;Venom
    [f=0000008] !transmitlobby @voice@buildUnit@add;spiderriot;Redback
    [f=0000008] !transmitlobby @voice@buildUnit@add;armsptk;Recluse
    [f=0000008] !transmitlobby @voice@buildUnit@add;armcrabe;Crabe
    [f=0000008] !transmitlobby @voice@buildUnit@add;spideraa;Tarantula
    [f=0000008] !transmitlobby @voice@buildUnit@add;armspy;Infiltrator
    [f=0000008] !transmitlobby @voice@buildUnit@reload
    [f=0000030] Speed set to 4.0 [server]
    [f=0000185] Playback paused
    [f=0000187] UnnamedPlayer (spec) paused the demo
    [f=0000187] Saved: screenshots/screen00024.png
    [f=0000187] [QuitAction] user exited to system
    [f=0000187] [SpringApp::ShutDown][1]
    [f=0000187] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0000187] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0000187] [SpringApp::ShutDown][2]
    [f=0000187] [KillLua][1]
    [f=0000187] [KillLua][2]
    [f=0000187] Start gadgetHandler:Shutdown
    [f=0000187] Shutdown - ShareControl
    [f=0000187] Shutdown - UnitMorph
    [f=0000187] Shutdown - LupsNanoSpray
    [f=0000187] Shutdown - Puppy Handler
    [f=0000187] Shutdown - StartSetup
    [f=0000187] Shutdown - Terrain Texture Handler
    [f=0000187] Shutdown - UnitCloakShield
    [f=0000187] End gadgetHandler:Shutdown
    [f=0000187] Start gadgetHandler:Shutdown
    [f=0000187] Shutdown - UnitMorph
    [f=0000187] Shutdown - UnitCloakShield
    [f=0000187] Shutdown - Lups Cloak FX
    [f=0000187] Shutdown - Lups
    [f=0000187] End gadgetHandler:Shutdown
    [f=0000187] [KillLua][3]
    [f=0000187] [KillLua][4]
    [f=0000187] [~CGame]1]
    [f=0000187] [KillLua][1]
    [f=0000187] [KillLua][2]
    [f=0000187] [KillLua][3]
    [f=0000187] [KillLua][4]
    [f=0000187] [KillMisc][1]
    [f=0000187] [KillMisc][2]
    [f=0000187] [KillRendering][1]
    [f=0000187] Statistics for RectangleOptimizer: 0%
    [f=0000187] [KillInterface][1]
    [f=0000187] Start widgetHandler:Shutdown
    [f=0000187] Shutdown - SaveOrderList Complete
    [f=0000187] Writing last game win data
    [f=0000187] Shutdown - SaveConfigData Complete
    [f=0000187] Shutdown Widget - EPIC Menu
    [f=0000187] Shutdown Widget - Chili Widget Selector
    [f=0000187] Shutdown Widget - Chili Minimap
    [f=0000187] Shutdown Widget - Local Team Colors
    [f=0000187] Shutdown Widget - Noises
    [f=0000187] Shutdown Widget - HealthBars
    [f=0000187] Shutdown Widget - Unit Icons
    [f=0000187] Shutdown Widget - 1v1 Attrition Scoreboard
    [f=0000187] Shutdown Widget - Win Counter
    [f=0000187] Shutdown Widget - Darkening
    [f=0000187] Shutdown Widget - Highlight Geos
    [f=0000187] Shutdown Widget - Mex Placement Handler
    [f=0000187] Shutdown Widget - MinimapEvents
    [f=0000187] Shutdown Widget - CameraShake
    [f=0000187] Shutdown Widget - Command Indicator (beta)
    [f=0000187] Shutdown Widget - Local Widgets Config
    [f=0000187] Shutdown Widget - Chili EndGame Window
    [f=0000187] Shutdown Widget - Chili Resource Bars Classic
    [f=0000187] Shutdown Widget - Chili Selections & CursorTip
    [f=0000187] Shutdown Widget - Context Menu
    [f=0000187] Shutdown Widget - Announcer
    [f=0000187] Shutdown Widget - Attack AoE
    [f=0000187] Shutdown Widget - MessageBoxes
    [f=0000187] Shutdown Widget - UnitShapes
    [f=0000187] Shutdown Widget - Selection Send
    [f=0000187] Shutdown Widget - Units on Fire
    [f=0000187] Shutdown Widget - LupsManager
    [f=0000187] Shutdown Widget - Chili Pro Console
    [f=0000187] Shutdown Widget - Chili Deluxe Player List - Alpha 2.02
    [f=0000187] Shutdown Widget - Chili Framework
    [f=0000187] Shutdown Widget - Lups
    [f=0000187] Shutdown Widget - Chili Core Selector
    [f=0000187] Shutdown Widget - Pause Screen
    [f=0000187] Shutdown Widget - Text To Speech Control
    [f=0000187] UnnamedPlayer (spec) DISABLE TTS
    [f=0000187] Shutdown Widget - Chili Integral Menu
    [f=0000187] Shutdown Widget - Lasso Terraform GUI
    [f=0000187] End widgetHandler:Shutdown
    [f=0000187] [KillInterface][2]
    [f=0000187] [KillSimulation][1]
    [f=0000187] [KillSimulation][2]
    [f=0000187] [CCollisionHandler] dis-/continuous tests: 0/39742
    [f=0000187] [KillSimulation][3]
    [f=0000187] [KillSimulation][4]
    [f=0000187] [~CPathCache(16x16)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000187] [~CPathCache(16x16)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000187] [~CPathCache(64x64)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000187] [~CPathCache(64x64)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0000187] Statistics for RectangleOptimizer: 0%
    [f=0000187] Statistics for RectangleOptimizer: 0%
    [f=0000187] [KillSimulation][5]
    [f=0000187] [~CGame][2]
    [f=0000187] [~CGame][3]
    [f=0000187] [SpringApp::ShutDown][3]
    [f=0000187] Statistics for local connection:
    Received: 10444 bytes
    Sent: 2347 bytes
    
    [f=0000187] [SpringApp::ShutDown][4]
    [f=0000187] [SpringApp::ShutDown][5]
    [f=0000187] [SpringApp::ShutDown][6]
    [f=0000187] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog::Uninstall][1] hangDetectorThread=00000000
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    
    txt file icon infolog_adv_shading_shadows-0.txt (31,820 bytes) 2015-03-30 21:05 +
  • png file icon screen00024_shadows-0.png (1,765,195 bytes) 2015-03-30 21:06
  • png file icon screen00025_shadows-2.png (461,668 bytes) 2015-03-30 21:06

-Relationships
+Relationships

-Notes

~0014117

lhog (reporter)

Last edited: 2015-03-08 16:03

View 2 revisions

Crashes is guaranteed after 9:00 ingame time, even on pause. Happens if camera flies around center bottom part of map (around "dang it" sign and screamer under construction - both should be in the top part of the camera viewport), on the middle level zoom. Crash happens if zoom-in/zoom-out around this area or if one just moves camera from side to the target area. Crash does NOT happen if same area is viewed on pretty close zoom-in.

~0014118

lhog (reporter)

Attaching exact position of camera, zooming out from which (two or three mouse wheel steps to zoom out) causes crash.

http://snag.gy/WbD7s.jpg

~0014119

jK (developer)

add DebugGL = 1 to your config and see if it gives warnings

~0014120

abma (administrator)

"translated":

C:\Windows\system32\atioglxx.dll 0x041AE3EF ??:0
C:\Windows\system32\atioglxx.dll 0x0417AFE1 ??:0
C:\Windows\system32\atioglxx.dll 0x03C0AEA6 ??:0
E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe 0x006CDF8F /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/stl_vector.h:646
E:\Games\Spring\engine\98.0.1-398-g80e6cfa\spring.exe 0x006D2C5E rts/Rendering/UnitDrawerState.cpp:105

~0014121

lhog (reporter)

Added infolog_glDebug.txt. Crash has happened on pause on 0016368 frame.

~0014122

jK (developer)

k I see a correlation between warnings & crash

now run with `DebugGLStacktraces = 1`

~0014123

lhog (reporter)

Last edited: 2015-03-08 22:40

View 4 revisions

spring with 'DebugGLStacktraces = 1' has never started for me (hangs in the last percentages of "loading...")

If "DebugGLStacktraces = true", file is not much different... See infolog_DGLST.txt

<Added Later> Seems like this crashes game:
[f=0016368] Error: OpenGL: source<API> type<error> id<2269> severity<high>:
glUniformMatrix4fv has failed to set the uniform at location '25': the uniform's type, component size, or matrix dimensions are incompatible with the function variant (GL_INVALID_OPERATION)

Also bad event happens like between 8.55 and 9.00 game time. Once I stayed zoomed it till around 11.00, then zoomed out and caught crash, so after it appears it stays for a while.

~0014125

jK (developer)

i need an infolog with DebugGLStacktraces = 1

and no, it doesn't hang with it, it's just DAMN slow.

~0014127

lhog (reporter)

Pretty sure it hangs as I waited more than 25 minutes (usually it takes <1min). See infolog_hangs.txt

~0014143

Google_Frog (reporter)

I implemented a workaround gameside https://github.com/ZeroK-RTS/Zero-K/commit/76f2237be685eb9367f0c365f7f2a2b88ae850b0#diff-ab54cea9b3a3e4edeadcc210c8f0355eL376

When the crash occurred for most ATI hardware, everyone else saw invisible units. It seemed to only occur for obj models.

The bug was caused by doing Spring.UnitRendering.DeactivateMaterial(unitID,3) to a nanoframe. Crashing/causing invisible units still seems like a bug.

~0014257

lhog (reporter)

Disregard last 4 files: posted into wrong topic.
+Notes

-Issue History
Date Modified Username Field Change
2015-03-08 15:22 lhog New Issue
2015-03-08 15:22 lhog File Added: infolog.txt
2015-03-08 15:58 lhog Note Added: 0014117
2015-03-08 16:03 lhog Note Edited: 0014117 View Revisions
2015-03-08 17:49 lhog Note Added: 0014118
2015-03-08 17:54 lhog File Added: stack_trace.png
2015-03-08 18:18 jK Note Added: 0014119
2015-03-08 19:05 abma Note Added: 0014120
2015-03-08 20:18 lhog File Added: infolog_glDebug.txt
2015-03-08 20:19 lhog Note Added: 0014121
2015-03-08 21:45 jK Note Added: 0014122
2015-03-08 22:31 lhog Note Added: 0014123
2015-03-08 22:31 lhog File Added: infolog_DGLST.txt
2015-03-08 22:38 lhog Note Edited: 0014123 View Revisions
2015-03-08 22:39 lhog Note Edited: 0014123 View Revisions
2015-03-08 22:40 lhog Note Edited: 0014123 View Revisions
2015-03-09 10:29 jK Note Added: 0014125
2015-03-09 14:13 lhog File Added: infolog_hangs.txt
2015-03-09 14:14 lhog Note Added: 0014127
2015-03-09 23:48 abma Summary ATI stack gets consistently crashed when something gets into camera viewport => ATI stack gets consistently crashed when something gets into camera viewport (UnitDrawerState.cpp:105)
2015-03-10 11:26 Google_Frog Note Added: 0014143
2015-03-30 21:05 lhog File Added: infolog_adv_shading_shadows-2.txt
2015-03-30 21:05 lhog File Added: infolog_adv_shading_shadows-0.txt
2015-03-30 21:06 lhog File Added: screen00024_shadows-0.png
2015-03-30 21:06 lhog File Added: screen00025_shadows-2.png
2015-03-30 21:10 lhog Note Added: 0014257
2016-01-22 03:21 abma Status new => resolved
2016-01-22 03:21 abma Resolution open => unable to reproduce
2016-01-22 03:21 abma Assigned To => abma
+Issue History